%global momorel 4

%global ooobuildname ooo-build
%global ooover 2.4.1
%global ooobuildver 2.4.1.8
%global ooosrc  ooh680-m17
%global oootag  OOH680
%global srctag  SRC680
%global gecko_ver 1.9

%global mirror_site http://download.go-oo.org/%{oootag}/

%global langpacks 1
# remove nn languages 
%global langpack_langs af ar bg bn ca cs cy da de el en-US es et eu fi fr gl gu-IN pa-IN he hi-IN hu hr it ja ko lt ms nb ne nl pl pt pt-BR ru sk sl sv th tr zh-CN zh-TW zu
#%%global langpack_langs ALL
%global withlang --with-lang="%{langpack_langs}"

%global ooodirname openoffice.org2.0
%global instdir %{_libdir}/%{ooodirname}

%global qtdir %{_libdir}/qt3
%global kdedir /usr

%global openclipartdir %{_datadir}/openclipart
# we make gallery files for openclipart in openclipart package (openoffice.org-openclipart)
%global with_openclipart 0

# From FC
%global _use_internal_dependency_generator 0

%ifarch x86_64
%global distro Momonga64
%else
%global distro Momonga
%endif

Summary:        OpenOffice.org comprehensive office suite.
Name:           openoffice.org
Version:        %{ooover}
Release:        %{momorel}m%{?dist}
License:        LGPL
Group:          Applications/Productivity
URL:            http://www.openoffice.org/
# ooo-build
# URL:           http://go-ooo.org/

# local configuration
%{?include_specopt}
# build kde integration with X loading NVIDIA driver may fail?
# so I made it configuable to build with/without kde (default should be 1)
%{?!enable_kde:       %global enable_kde 1}
# Java stuff (need openjdk-1.6.0-devel, but we do not need to switch a system java to openjdk-1.6.0 by adding --with-jdk-home)
%{?!with_java:       %global with_java 1}
%if %{with_java}
%ifarch x86_64
%global java_arg --with-java --with-jdk-home=%{_prefix}/lib/jvm/java-1.6.0-openjdk.x86_64
%else
%global java_arg --with-java --with-jdk-home=%{_libdir}/jvm/java-1.6.0-openjdk
%endif
%else
%global java_arg --without-java
%endif

%{?!_numjobs:       %global _numjobs 1}

# meta package
Requires: %{name}-core = %{version}-%{release}
#%%if %{enable_kde}
#Requires: %{name}-kde = %{version}-%{release}
#%endif
Requires: %{name}-base = %{version}-%{release}
Requires: %{name}-calc = %{version}-%{release}
Requires: %{name}-draw = %{version}-%{release}
Requires: %{name}-writer = %{version}-%{release}
Requires: %{name}-impress = %{version}-%{release}
Requires: %{name}-math = %{version}-%{release}
Requires: %{name}-graphicfilter = %{version}-%{release}
Requires: %{name}-xsltfilter = %{version}-%{release}
Requires: %{name}-pyuno = %{version}-%{release}
Requires: %{name}-langpack-ja_JP = %{version}-%{release}
%if %{with_java}
Requires: %{name}-javafilter = %{version}-%{release}
%endif
# Sources
Source0: %{mirror_site}/%{ooobuildname}-%{ooobuildver}.tar.gz 
NoSource: 0
Source10: %{mirror_site}/%{ooosrc}-core.tar.bz2 
NoSource: 10
Source11: %{mirror_site}/%{ooosrc}-system.tar.bz2 
NoSource: 11
Source12: %{mirror_site}/%{ooosrc}-lang.tar.bz2 
NoSource: 12
Source13: %{mirror_site}/%{ooosrc}-sdk_oo.tar.bz2 
NoSource: 13

Source20: http://go-oo.org/packages/%{srctag}/ooo_crystal_images-1.tar.gz 
NoSource: 20
Source21: http://go-oo.org/packages/%{srctag}/ooo_crystal_images-6.tar.bz2 
NoSource: 21
Source22: http://go-oo.org/packages/%{srctag}/extras-2.tar.bz2 
NoSource: 22
Source23: http://go-oo.org/packages/xt/xt-20051206-src-only.zip 
NoSource: 23
Source24: http://go-oo.org/packages/%{srctag}/lp_solve_5.5.0.10_source.tar.gz 
NoSource: 24
Source25: http://go-oo.org/packages/%{srctag}/biblio.tar.bz2 
NoSource: 25
Source26: http://go-oo.org/packages/%{srctag}/libwps-0.1.2.tar.gz 
NoSource: 26
Source27: http://go-oo.org/packages/libwpd/libwpd-0.8.14.tar.gz 
NoSource: 27
Source28: http://go-oo.org/packages/%{srctag}/libwpg-0.1.2.tar.gz 
NoSource: 28
Source29: http://go-oo.org/packages/%{srctag}/libsvg-0.1.4.tar.gz 
NoSource: 29
Source30: http://go-oo.org/packages/%{srctag}/oox.2008-02-29.tar.bz2 
NoSource: 30
Source31: http://go-oo.org/packages/%{srctag}/writerfilter.2008-02-29.tar.bz2
NoSource: 31

# This can be made by mingw32-* but it is not available in Momonga.
# This dll should exist for SDK (see http://www.mail-archive.com/dev@openoffice.org/msg04589.html etc)
Source60:        http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll
NoSource: 60
Source100:       Momonga.conf.in
Source101:       Momonga64.conf.in
# openintro_momonga.bmp is slight modification of ooo-build-x.x.x/src/oonologointro.bmp
Source102:       openintro_momonga.bmp
Source103:       ja.po.updated
# extra localisation files (*.sdf) should be renamed to GSI_<localecode>.sdf and put into %{_sourcedir}
# Source201-206 are extracted from sdf files  in "OOo_2.4.0_patches_curvirgo.zip" at http://waooo.sourceforge.jp/ 
# It is needed to apply corresponding patches (patches-waooo-<num>- in patches)
Source201: sdf-waooo-4-Add_Postacrd_Japan_and_BJIS_priority_up.sdf
Source202: sdf-waooo-8-ContextMenu_FontList_Disable.sdf
Source203: sdf-waooo-9-i35579_sc_enhanced_autofilter.sdf
Source204: sdf-waooo-11-Add_SortList_Japanese.sdf
Source205: sdf-waooo-find_attributes_fix_2.0.3rc5.sdf
Source206: sdf-waooo-sw_split_cell_dialog.sdf
# from JSDP2007 (http://jsdp2007.net/)
# Source250 is made from Writer_additional_files.zip in jsdp2007_2.4.0.1_OOo_2.4.0_src.zip and it contains default_images/res/commandimagelist/*.png
Source250: jsdp2007_2.4.0.1-Writer_additional_files.tar.bz2
Source251: README.jsdp2007.txt

# Patches
# patches for ooo-build
Patch0: ooo-build-2.4.1.8-distroconf_Momonga.patch
Patch1: ooo-build-2.4.0.10-patches_apply_Momonga.patch
Patch2: ooo-build-2.0.4.6-add_description_of_environment_to_manual.patch
Patch3: ooo-build-2.0.0.2-fixkey-mime.patch
Patch4: ooo-build-2.1.4-install_odk.patch
Patch5: ooo-build-2.0.4.1-dont_set_nonsense_CCACHEDIR.patch
Patch6: ooo-build-2.2.0.2-configure.patch
Patch10: ooo-build-2.3.0-patches_no_stl_apply_Momonga.patch
# additional patches for OOo source
# These patches must have suffix "diff" and can be applied in the top of a source dir (ooo-build-<VERSION>/build/OO*/) by "patch -p0".
# We must COPY these patches INTO ooo-build-<VERSION>/patches/src<TAG> dir.
# We also must modify patches/OOO_2_0/apply in accordance with these patches (ooo-build-2.0.x-patches_apply_Momonga.patch)
# !!MAKE SURE TO MODIFY Patch1(ooo-build-*-patches_apply_Momonga.patch) WHEN WE ADD/DELETE/RENAME PATCHES!!
Patch100: default-disable-embedded-bitmap.diff
Patch101: default-color-genwidget.diff
Patch102: momonga-splash.diff
Patch103: openoffice.org-2.0.3.ooo66851.i18npool.x86_64.diff
Patch104: openoffice.org-ooc-m7-builddep.diff
Patch105: config_office-kde3.diff
## Following patches are created based on the ones at http://waooo.sourceforge.jp/wiki/index.php?Patches
# Patch200 and Patch209-211 are not needed from 2.4.0-4m because fontconfig seems to work well
Patch200: patch-waooo-1_2-VCL.xcu_font_fix_OOH680_m3.diff
Patch201: patch-waooo-3-helpcontent2_fix.diff
Patch202: patch-waooo-4-Labels.xcu_merge_data_SRC680_m219.diff
Patch203: patch-waooo-5-helpcontent2_color_fix.diff
Patch204: patch-waooo-6-punctuation_and_adjust_2.3.0.diff
Patch205: patch-waooo-8-contextmenu_fontlist_disable_SRC680_m219.diff
Patch206: patch-waooo-11-add_sorlist_curvirgo_SRC680_m221.diff
Patch207: patch-waooo-12-issue82456_chart2_080303.diff
Patch208: patch-waooo-13-issue86579_chart2_080305.diff
Patch209: ja-waooo-vcl-setdefaultfontsize.diff
Patch210: ja-waooo-vcl-setinterfacefontsize.diff
Patch211: ja-waooo-vcl-setscreendpi.diff
## JSDP (http://jsdp2007.net/)
# Patch250 is modified version of Writer_patch.diff in jsdp2007_2.4.0.1_OOo_2.4.0_src.zip
Patch250: jsdp2007_2.4.0.1-Writer_patch.diff
# Since cws-cjksp1 is conflict with jsdp2007(Writer part), it is disabled. However ./patches/src680/cws-xmlfilter02-sw.diff depends of a part of cws-cjksp1-sw.diff. Then we make a minimum patch which is consist of a part of cws-cjksp1-sw.diff as cws-cjksp1-sw.modified_for_jsdp2007.diff. This should replace cws-cjksp1-sw.diff in patches/src680/apply
Patch251: cws-cjksp1-sw.disabled_for_jsdp2007.diff
Patch252: jsdp2007_2.4.0.1-Calc_patch.diff
## other patches
Patch300: fix-collator-momonga.diff
Patch301: openoffice.org-2.0.3-dbus.patch
Patch302: ooo-build-2.4.0.7-configure_systemcairo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# build dependencies
BuildRequires: tcsh, perl, sed, zip, bzip2, unzip, tar, findutils, patch >= 2.5.9
BuildRequires: autoconf, make >= 3.79.1, flex, bison, perl-Compress-Zlib
BuildRequires: gcc >= 3.4.3, gcc-c++ >= 3.4.3, binutils, perl-Archive-Zip
BuildRequires: gstreamer-devel >= 0.10.10-1m
BuildRequires: gstreamer-plugins-base-devel >= 0.10.10-1m
BuildRequires: dbus-devel >= 0.71-2m
BuildRequires: dbus-glib >= 0.71-2m
BuildRequires: boost-devel >= 1.33.1-2m
BuildRequires: db4-devel >= 4.5.20
%if %{with_java}
BuildRequires: db4-java >= 4.5.20
BuildRequires: java-1.6.0-openjdk-devel
%endif
BuildRequires: zlib-devel, freetype-devel
BuildRequires: gtk+-devel >= 2.4.8, gnome-vfs-devel, cups-devel, curl-devel >= 7.16.0
%if %{enable_kde}
BuildRequires: qt3-devel, kdelibs3-devel
%endif
BuildRequires: python-devel
BuildRequires: xulrunner-devel >= 1.9-0.59.2m
BuildRequires: expat-devel, libxml2-devel, openldap-devel >= 2.4.0 , neon-devel >= 0.24 
BuildRequires: libidn-devel, libwpd-devel >= 0.8.0, sane-backends-devel
BuildRequires: startup-notification-devel, intltool
BuildRequires: desktop-file-utils >= 0.9, libjpeg-devel, pam-devel, prelink
BuildRequires: libsndfile-devel, portaudio
BuildRequires: libxslt-devel, unixODBC-devel
%if %{with_openclipart}
BuildRequires: openclipart-png
%endif
BuildRequires: cairo-devel, pango-devel, bonobo-activation-devel
BuildRequires: libICE-devel, libSM-devel, libX11-devel, libXaw-devel
BuildRequires: libXcursor-devel, libXext-devel, libXfixes-devel, libXft-devel
BuildRequires: libXi-devel, libXinerama-devel, libXrandr-devel
BuildRequires: libXrender-devel, libXt-devel
# bonobo-activation-devel is provides libbonobo

# hunspell
BuildRequires: hunspell-af hunspell-ar hunspell-bg hunspell-bn hunspell-ca
BuildRequires: hunspell-cy hunspell-da hunspell-de hunspell-ee hunspell-el
BuildRequires: hunspell-en hunspell-es hunspell-fo hunspell-fr hunspell-ga
BuildRequires: hunspell-gd hunspell-gl hunspell-hi hunspell-hr hunspell-hu
BuildRequires: hunspell-it hunspell-lt hunspell-mr hunspell-ms hunspell-nb
BuildRequires: hunspell-ne hunspell-nl hunspell-nn hunspell-or hunspell-pa
BuildRequires: hunspell-pl hunspell-pt hunspell-ru hunspell-sk hunspell-sl
BuildRequires: hunspell-sv hunspell-ta hunspell-th hunspell-zu

# openoffice.org-dict-cs_CZ
BuildRequires: hunspell-cs

%description
OpenOffice.org is an Open Source, community-developed, multi-platform
office productivity suite.  It includes the key desktop applications,
such as a word processor, spreadsheet, presentation manager, formula
editor and drawing program, with a user interface and feature set
similar to other office suites.  Sophisticated and flexible,
OpenOffice.org also works transparently with a variety of file
formats, including Microsoft Office.

Usage: Simply type "ooffice" to run OpenOffice.org or select the
requested component (Writer, Calc, Draw, Impress, etc.) from your
desktop menu. On first start a few files will be installed in the 
user's home, if necessary.

The OpenOffice.org team hopes you enjoy working with OpenOffice.org!

%package core
Summary: core modules for %{name}
Group: Applications/Productivity
Requires: neon >= 0.24
Requires: startup-notification, portaudio, libsndfile
Requires: gtk+ >= 2.4.8, atk, libbonobo, pango, openldap
Requires: libstdc++, zlib, popt
Requires: freetype, libpng, libjpeg, python, openssl, libxml2
Requires: cyrus-sasl, openldap, libpaper
Requires: dbus >= 0.92
Requires: bash-completion
PreReq: desktop-file-utils >= 0.9
Obsoletes: openoffice.org-libs
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-extradict
Obsoletes: openoffice.org-langpack-eo
Obsoletes: openoffice.org-langpack-tn
Obsoletes: openoffice.org-langpack-ts
Obsoletes: openoffice.org-langpack-kn_IN
%if ! %{with_java}
Obsoletes: openoffice.org-javafilter
%endif

%description core
core libraries and support files for %{name}

%if %{enable_kde}
%package kde
Summary: KDE integration files for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: qt3, kdelibs3

%description kde
KDE integration files for %{name}
%endif

%package pyuno
Summary: python bindings for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}
Requires: python

%description pyuno
Cool python bindings for the %{name} UNO component model. Allows scripts both
external to %{name} and within the internal %{name} scripting module to be
written in python

%package base
Summary: database frontend for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}

%description base
Gui database frontend for %{name}. Allows creation and management of databases
through a GUI.

%package writer
Summary: writer module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Requires: libwpd >= 0.8.0

%description writer
wordprocessor application of %{name}

%if 1
%package emailmerge
Summary: email mail merge component for %{name}
Group: Applications/Productivity
Requires: %{name}-writer = %{version}-%{release}
Requires: %{name}-pyuno = %{version}-%{release}

%description emailmerge
enables %{name} writer module to enable mail merge to email
%endif

%package calc
Summary: calc module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description calc
spreadsheet application of %{name}

%package draw
Summary: draw module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description draw
drawing application of %{name}

%package impress
Summary: impress module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description impress
presentation application of %{name}

%package math
Summary: math module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description math 
math editor of %{name}

%package graphicfilter
Summary: extra graphicfilter module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description graphicfilter
graphicfilter module for %{name}, provides additional svg and flash export filters.

%package xsltfilter
Summary: extra xsltfilter module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description xsltfilter
xsltfilter module for %{name}, provides additional docbook and xhtml export transforms. Install this to enable docbook export.

%if %{with_java}
%package javafilter
Summary: extra javafilter module for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description javafilter
javafilter module for %{name}, provides additional aportisdoc, pocket excel and pocket word import filters.
%endif

%package testtools
Summary: testtools for %{name}
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}

%description testtools
QA tools for %{name}, enables automated testing

%package langpack-af_ZA
Summary: Afrikaans language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-af

%description langpack-af_ZA
Provides additional afrikaans translations for %{name}

%package langpack-ar
Summary: Arabic language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Arabic

%description langpack-ar
Provides additional arabic translations for %{name}

%package langpack-bg_BG
Summary: Bulgarian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-bg

%description langpack-bg_BG
Provides additional bulgarian translations for %{name}

%package langpack-bn_IN
Summary: Bengali language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n

%description langpack-bn_IN
Provides additional bengali translations for %{name}

%package langpack-ca_ES
Summary: Catalan language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-ca
Obsoletes: openoffice.org-i18n-Catalan

%description langpack-ca_ES
Provides additional catalan translations for %{name}

%package langpack-cs_CZ
Summary: Czech language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-cs
Obsoletes: openoffice.org-i18n-Czech

%description langpack-cs_CZ
Provides additional czech translations for %{name}

%package langpack-cy_GB
Summary: Welsh language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-cy

%description langpack-cy_GB
Provides additional welsh translations for %{name}

%package langpack-da_DK
Summary: Danish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-da
Obsoletes: openoffice.org-i18n-Danish

%description langpack-da_DK
Provides additional danish translations for %{name}

%package langpack-de
Summary: German language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-German

%description langpack-de
Provides additional german translations for %{name}

%package langpack-el_GR
Summary: Greek language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-langpack-el
Obsoletes: openoffice.org-i18n-Greek

%description langpack-el_GR
Provides additional greek translations for %{name}

%package langpack-es
Summary: Spanish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Spanish

%description langpack-es
Provides additional spanish translations for %{name}

%package langpack-et_EE
Summary: Estonian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-et
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Estonian

%description langpack-et_EE
Provides additional estonian translations for %{name}

%package langpack-eu_ES
Summary: Basque language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-eu
Obsoletes: openoffice.org-i18n

%description langpack-eu_ES
Provides additional basque translations for %{name}

%package langpack-fi_FI
Summary: Finish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-fi
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Finnish

%description langpack-fi_FI
Provides additional finish translations for %{name}

%package langpack-fr
Summary: French language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-French

%description langpack-fr
Provides additional french translations for %{name}

%if 0
%package langpack-ga_IE
Summary: Irish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description langpack-ga_IE
Provides additional irish translations for %{name}
%endif

%package langpack-gl_ES
Summary: Galician language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-gl
Obsoletes: openoffice.org-i18n

%description langpack-gl_ES
Provides additional galician translations for %{name}

%package langpack-gu_IN
Summary: Gujarati language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n

%description langpack-gu_IN
Provides additional gujarati translations for %{name}

%package langpack-pa_IN
Summary: Punjabi language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n

%description langpack-pa_IN
Provides additional punjabi translations for %{name}

%package langpack-he_IL
Summary: Hebrew language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-he
Obsoletes: openoffice.org-i18n

%description langpack-he_IL
Provides additional hebrew translations for %{name}

%package langpack-hi_IN
Summary: Hindi language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-hi-IN
Obsoletes: openoffice.org-i18n

%description langpack-hi_IN
Provides additional hindi translations for %{name}

%package langpack-hu_HU
Summary: Hungarian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-hu
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Hungarian

%description langpack-hu_HU
Provides additional hungarian translations for %{name}

%package langpack-hr_HR
Summary: Croatian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-hr
Obsoletes: openoffice.org-i18n

%description langpack-hr_HR
Provides additional croatian translations for %{name}

%package langpack-it
Summary: Italian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Italian

%description langpack-it
Provides additional italian translations for %{name}

%package langpack-ja_JP
Summary: Japanese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-ja
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Japanese

%description langpack-ja_JP
Provides additional japanese translations for %{name}

%package langpack-ko_KR
Summary: Korean language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-ko
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Korean

%description langpack-ko_KR
Provides additional korean translations for %{name}

%package langpack-lt_LT
Summary: Lithuanian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-lt
Obsoletes: openoffice.org-i18n

%description langpack-lt_LT
Provides additional lithuanian translations for %{name}

%package langpack-ms_MY
Summary: Malay language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-ms
Obsoletes: openoffice.org-i18n

%description langpack-ms_MY
Provides additional malay translations for %{name}

%package langpack-nb_NO
Summary: Bokmal language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-nb
Obsoletes: openoffice.org-i18n

%description langpack-nb_NO
Provides additional bokmal translations for %{name}

%package langpack-ne_NP
Summary: Nepali language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-nb
Obsoletes: openoffice.org-i18n

%description langpack-ne_NP
Provides additional Nepali translations for %{name}

%package langpack-nl
Summary: Dutch language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Dutch

%description langpack-nl
Provides additional dutch translations for %{name}

# %package langpack-nn_NO
# Summary: Nynorsk language pack for %{name}
# Group: Applications/Productivity
# Requires: %{name}-core = %{version}-%{release}
# Obsoletes: openoffice.org-langpack-nn
# Obsoletes: openoffice.org-i18n

# %description langpack-nn_NO
# Provides additional nynorsk translations for %{name}

%package langpack-pl_PL
Summary: Polish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-pl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Polish

%description langpack-pl_PL
Provides additional polish translations for %{name}

%package langpack-pt_PT
Summary: Portuguese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-pt
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Portuguese

%description langpack-pt_PT
Provides additional portuguese translations for %{name}

%package langpack-pt_BR
Summary: Brazilian Portuguese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-pt-BR
Obsoletes: openoffice.org-i18n

%description langpack-pt_BR
Provides additional brazilian portuguese translations for %{name}

%package langpack-ru
Summary: Russian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Russian

%description langpack-ru
Provides additional russian translations for %{name}

%package langpack-sk_SK
Summary: Slovak language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-sk
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Slovak

%description langpack-sk_SK
Provides additional slovak translations for %{name}

%package langpack-sl_SI
Summary: Slovenian language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-sl
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Slovenian

%description langpack-sl_SI
Provides additional slovenian translations for %{name}

%package langpack-sv
Summary: Swedish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Swedish

%description langpack-sv
Provides additional swedish translations for %{name}

%if 0
%package langpack-ta_IN
Summary: Tamil language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-i18n

%description langpack-ta_IN
Provides additional tamil translations for %{name}
%endif

%package langpack-th_TH
Summary: Thai language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-th
Obsoletes: openoffice.org-i18n

%description langpack-th_TH
Provides additional thai translations for %{name}

%package langpack-tr_TR
Summary: Turkish language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-tr
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Turkish

%description langpack-tr_TR
Provides additional turkish translations for %{name}

%package langpack-zh_CN
Summary: Simplified Chinese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-zh-CN
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Chinese

%description langpack-zh_CN
Provides additional simplified chinese translations for %{name}

%package langpack-zh_TW
Summary: Traditional Chinese language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-zh-TW
Obsoletes: openoffice.org-i18n
Obsoletes: openoffice.org-i18n-Chinese-Big5

%description langpack-zh_TW
Provides additional traditional chinese translations for %{name}

%package langpack-zu_ZA
Summary: Zulu language pack for %{name}
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}
Obsoletes: openoffice.org-langpack-zu
Obsoletes: openoffice.org-i18n

%description langpack-zu_ZA
Provides additional zulu translations for %{name}

%package devel
Summary: OpenOffice.org SDK
Group: Development/Libraries
Requires: %{name}-core = %{version}-%{release}

%description devel
OpenOffice.org SDK

%package devel-doc
Summary: OpenOffice.org SDK documentation
Group: Documentation
Requires: %{name}-devel = %{version}-%{release}

%description devel-doc
OpenOffice.org SDK documentation

%prep
%setup -q -n %{ooobuildname}-%{ooobuildver}
cp -f %{SOURCE100} distro-configs
cp -f %{SOURCE101} distro-configs
cp -f %{SOURCE102} src/
cp -f %{SOURCE103} po/ja.po

# prepare extra localization file (Patch205/Source202 is not needed and not applied now) by a command "cat *.sdf %{_sourcedir}/>GSI_ja.sdf"
cat %{SOURCE201} %{SOURCE203} %{SOURCE204} %{SOURCE205}  %{SOURCE206} > %{_sourcedir}/GSI_ja.sdf

%patch0 -p1 -b .distroconf
%patch1 -p1 -b .momonga
#%%patch2 -p1 -b .description
# %%patch3 -p1 -b .fixkey
%patch4 -p1 -b .install_odk
%patch5 -p1 -b .ccache
# %patch6 -p1 -b .mo_configure

# %patch10 -p1 -b .no_stl

cp -f %{PATCH100} %{PATCH101} %{PATCH102} %{PATCH103} %{PATCH104} %{PATCH105} %{PATCH200} %{PATCH201} %{PATCH202} %{PATCH203} %{PATCH204} %{PATCH205} %{PATCH206} %{PATCH207} %{PATCH208} %{PATCH209} %{PATCH210} %{PATCH211} %{PATCH250} %{PATCH251} %{PATCH252} %{PATCH300} patches/src680

# %patch301 -p1 -b .dbus

# force system cairo
%patch302 -p1 -b .systemcairo

# additional sources for JSDP2007
tar jxf %{SOURCE250} -C src/icons

%build
# csh cannot recognize LS_COLORS' variable: "su"
CURRENT_LS_COLORS=$LS_COLORS
unset LS_COLORS

export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib
# ./autogen.sh \
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --datadir=%{_datadir} \
    --sysconfdir=/etc \
    --mandir=%{_mandir} \
    --with-distro="%{distro}" \
    --with-vendor="%{distro}" \
    --with-srcdir=%{_sourcedir} \
    --with-installed-ooo-dirname=%{ooodirname} \
    --without-binsuffix \
    --enable-odk \
    --enable-openxml \
    --disable-post-install-scripts \
    --enable-lockdown \
    --disable-mono \
    --disable-access \
    --enable-xsltproc \
    --without-nas \
    --without-system-libwpd \
    --without-system-icu \
    --with-system-db \
    --with-firefox \
    --with-xulrunner \
    --with-system-mozilla \
    --with-system-portaudio \
    --enable-split-app-modules \
    --enable-split-opt-features \
    --disable-evolution2 \
    --with-num-cpus="%{_numjobs}" \
%if %{with_openclipart}
    --with-openclipart=%{openclipartdir} \
%endif
    --with-qt-libraries=%{qtdir}/lib \
%if ! %{enable_kde}
    --disable-kde \
%endif
    --enable-cairo %{java_arg} %{withlang} \
    --with-system-mesa-headers \
    --enable-opengl \
    --enable-ogltrans

# Compile problems with these ... (from Gentoo ebuild) ... Really?
for i in $RPM_OPT_FLAGS; do
        case "$i" in
                -O?|-funroll-loops|-fomit-frame-pointer|-fprefetch-loop-arrays|-fno-default-inline|-fstack-protector|-ftracer|-ffast-math) continue;;
        esac
        ARCH_FLAGS="$ARCH_FLAGS $i"
done
export ARCH_FLAGS

make
LS_COLORS=$CURRENT_LS_COLORS

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

make DESTDIR=%{buildroot} install

# From FC
# We don't need to carry around all the letter templates for all the languages 
# in each langpack! In addition, all the bitmaps are the same!
pushd %{buildroot}/%{instdir}/share/template
mkdir -p wizard
for I in %{langpack_langs}; do
	cp -af $I/wizard/bitmap wizard/
	rm -rf $I/wizard/bitmap
	ln -sf ../../wizard/bitmap $I/wizard/bitmap

	if [ -d $I/wizard/letter/$I ]; then
		mv -f $I/wizard/letter/$I ${I}_wizard_letter_${I}
		rm -rf $I/wizard/letter/*
		mv -f ${I}_wizard_letter_${I} $I/wizard/letter/$I
	else
		rm -rf $I/wizard/letter/*
	fi
done
popd

# From FC
# use system file dialog (not common)
 perl -p -i -e "s/<value>false<\/value>/<value>true<\/value>/g" %{buildroot}/%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-UseOOoFileDialogs.xcu

# readmes and licenses to doc
rm -rf readmes.OOo licenses.OOo
mv %{buildroot}/%{instdir}/readmes readmes.OOo
mv %{buildroot}/%{instdir}/licenses licenses.OOo

cp -f %{SOURCE251} .

# From FC
#remove the email mailmerge impl if packageing without it
%if 0
rm -rf %{buildroot}/%{instdir}/program/mailmerge.py*
rm -rf %{buildroot}/%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-javamail.xcu
%endif

# no langpack for sw_TZ now
rm -rf %{buildroot}/%{instdir}/share/dict/ooo/README_sw_TZ.txt
rm -rf %{buildroot}/%{instdir}/share/dict/ooo/sw_TZ.*

# clean up unpacked files
rm -f %{buildroot}%{instdir}/share/dict/ooo/fo*
rm -f %{buildroot}%{instdir}/share/dict/ooo/ga*
rm -f %{buildroot}%{instdir}/share/dict/ooo/gd*
rm -f %{buildroot}%{instdir}/share/dict/ooo/mr*
rm -f %{buildroot}%{instdir}/share/dict/ooo/nn*
rm -f %{buildroot}%{instdir}/share/dict/ooo/or*
rm -f %{buildroot}%{instdir}/share/dict/ooo/ta*

#It seems that libvclplug_* should be in a directory where ld.so searches. 
mkdir -p  %{buildroot}/%{_libdir}
pushd %{buildroot}/%{_libdir}
for i in %{ooodirname}/program/libvclplug_*.so
do
ln -sf $i .
done

# "man ooffice", "man openoffice.org" and "man ooo" should work, I think
pushd %{buildroot}%{_mandir}/man1
cp -a openoffice.1 ooffice.1
cp -a openoffice.1 openoffice.org.1
cp -a openoffice.1 ooo.1
popd

# chmod (permissions of almost all files are 444)
pushd %{buildroot}/%{instdir}
chmod -R u+w *
cd program
chmod +x *.so*
popd

# fix symlink for SDK
(cd %{buildroot}/%{instdir}/sdk
rm -f classes
ln -s ../../../../%{_datadir}/%{ooodirname}/sdk/classes classes
rm -f docs
ln -s ../../../../%{_datadir}/doc/packages/OpenOffice.org/sdk/docs docs
rm -f idl
ln -s ../../../../%{_datadir}/idl/%{ooodirname} idl
rm -f include
ln -s ../../../../%{_includedir}/%{ooodirname} include
rm -f index.html
ln -s ../../../../%{_datadir}/doc/packages/OpenOffice.org/sdk/index.html index.html
rm -f xml
ln -s ../../../../%{_datadir}/xml/%{ooodirname} xml
)

# fix csh path
(cd %{buildroot}/%{instdir}/sdk
sed -i -e "s:/usr/bin/csh:/bin/csh:g" setsdkenv_unix.csh
sed -i -e "s:/usr/bin/csh:/bin/csh:g" setsdkenv_unix.csh.in
)

# it could be better to make samples dir for each lang to avoid an error when selecting a sample icon in an open new dialog
pushd %{buildroot}/%{instdir}/share/samples
for I in %{langpack_langs}; do
    if [ ! -d $I ];then
	mkdir $I
    fi
done


# add "Office" to categories in desktop files
pushd %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor= --dir . --add-category Office ./math.desktop
desktop-file-install --vendor= --dir . --add-category Office ./draw.desktop
desktop-file-install --vendor= --dir . --add-category Office ./web.desktop
popd

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
# metapackage

%if %{langpacks}

%files langpack-af_ZA
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/af
%{instdir}/program/resource/*680af.res
%{instdir}/share/dict/ooo/README_af_ZA.txt
%{instdir}/share/dict/ooo/af_*.*
%{instdir}/share/dict/ooo/hyph_af_ZA.dic
%{instdir}/share/readme/LICENSE_af*
%{instdir}/share/readme/README_af*
%{instdir}/share/registry/res/af
%{instdir}/share/template/af
%{instdir}/share/samples/af
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-af.xcu

%files langpack-ar
%defattr(-,root,root)
%{instdir}/help/ar
%{instdir}/program/resource/*680ar.res
%{instdir}/share/dict/ooo/ar_*.*
%{instdir}/share/readme/LICENSE_ar*
%{instdir}/share/readme/README_ar*
%{instdir}/share/registry/res/ar
%{instdir}/share/template/ar
%{instdir}/share/samples/ar
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ar.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_ar.xcu

%files langpack-bg_BG
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/bg
%{instdir}/program/resource/*680bg.res
%{instdir}/share/dict/ooo/bg_BG.*
%{instdir}/share/readme/LICENSE_bg*
%{instdir}/share/readme/README_bg*
%{instdir}/share/registry/res/bg
%{instdir}/share/template/bg
%{instdir}/share/samples/bg
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-bg.xcu

%files langpack-bn_IN
%defattr(-,root,root)
%{instdir}/help/bn
%{instdir}/program/resource/*680bn.res
%{instdir}/share/dict/ooo/bn_IN.*
%{instdir}/share/readme/LICENSE_bn*
%{instdir}/share/readme/README_bn*
%{instdir}/share/registry/res/bn
%{instdir}/share/template/bn
%{instdir}/share/samples/bn
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-bn.xcu

%files langpack-ca_ES
%defattr(-,root,root)
%{instdir}/help/ca
%{instdir}/program/resource/*680ca.res
%{instdir}/share/dict/ooo/ca_ES.*
%{instdir}/share/readme/LICENSE_ca*
%{instdir}/share/readme/README_ca*
%{instdir}/share/registry/res/ca
%{instdir}/share/template/ca
%{instdir}/share/samples/ca
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ca.xcu

%files langpack-cs_CZ
%defattr(-,root,root)
%{instdir}/help/cs
%{instdir}/program/resource/*680cs.res
%{instdir}/share/dict/ooo/cs_CZ.*
%{instdir}/share/dict/ooo/th_cs_CZ_*
%{instdir}/share/readme/LICENSE_cs*
%{instdir}/share/readme/README_cs*
%{instdir}/share/registry/res/cs
%{instdir}/share/template/cs
%{instdir}/share/samples/cs
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-cs.xcu

%files langpack-cy_GB
%defattr(-,root,root)
%{instdir}/help/cy
%{instdir}/program/resource/*680cy.res
%{instdir}/share/dict/ooo/cy_GB.*
%{instdir}/share/readme/LICENSE_cy*
%{instdir}/share/readme/README_cy*
%{instdir}/share/registry/res/cy
%{instdir}/share/template/cy
%{instdir}/share/samples/cy
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-cy.xcu

%files langpack-da_DK
%defattr(-,root,root)
%{instdir}/help/da
%{instdir}/program/resource/*680da.res
%{instdir}/share/dict/ooo/da_DK.*
%{instdir}/share/dict/ooo/hyph_da_DK.dic
%{instdir}/share/readme/LICENSE_da*
%{instdir}/share/readme/README_da*
%{instdir}/share/registry/res/da
%{instdir}/share/template/da
%{instdir}/share/samples/da
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-da.xcu

%files langpack-de
%defattr(-,root,root)
%{instdir}/help/de
%{instdir}/program/resource/*680de.res
%{instdir}/share/dict/ooo/README*_de_*.txt
%{instdir}/share/dict/ooo/de_*.*
%{instdir}/share/dict/ooo/hyph_de_DE.dic
%{instdir}/share/dict/ooo/th_de_*_v2.*
%{instdir}/share/readme/LICENSE_de*
%{instdir}/share/readme/README_de*
%{instdir}/share/registry/res/de
%{instdir}/share/template/de
%{instdir}/share/samples/de
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-de.xcu

%files langpack-el_GR
%defattr(-,root,root)
%{instdir}/help/el
%{instdir}/program/resource/*680el.res
%{instdir}/share/dict/ooo/el_GR.*
%{instdir}/share/readme/LICENSE_el*
%{instdir}/share/readme/README_el*
%{instdir}/share/registry/res/el
%{instdir}/share/template/el
%{instdir}/share/samples/el
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-el.xcu

%files langpack-es
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/es
%{instdir}/program/resource/*680es.res
%{instdir}/share/dict/ooo/README_es_ES.txt
%{instdir}/share/dict/ooo/es_*.*
%{instdir}/share/readme/LICENSE_es*
%{instdir}/share/readme/README_es*
%{instdir}/share/registry/res/es
%{instdir}/share/template/es
%{instdir}/share/samples/es
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-es.xcu

%files langpack-et_EE
%defattr(-,root,root)
%{instdir}/help/et
%{instdir}/program/resource/*680et.res
%{instdir}/share/dict/ooo/README*_et_EE.txt
%{instdir}/share/dict/ooo/et_EE.*
%{instdir}/share/dict/ooo/hyph_et_EE.dic
%{instdir}/share/readme/LICENSE_et*
%{instdir}/share/readme/README_et*
%{instdir}/share/registry/res/et
%{instdir}/share/template/et
%{instdir}/share/samples/et
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-et.xcu

%files langpack-eu_ES
%defattr(-,root,root)
%{instdir}/help/eu
%{instdir}/program/resource/*680eu.res
%{instdir}/share/readme/LICENSE_eu*
%{instdir}/share/readme/README_eu*
%{instdir}/share/registry/res/eu
%{instdir}/share/template/eu
%{instdir}/share/samples/eu
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-eu.xcu

%files langpack-fi_FI
%defattr(-,root,root)
%{instdir}/help/fi
%{instdir}/program/resource/*680fi.res
#%{instdir}/share/dict/ooo/*fi_*
%{instdir}/share/readme/LICENSE_fi*
%{instdir}/share/readme/README_fi*
%{instdir}/share/registry/res/fi
%{instdir}/share/template/fi
%{instdir}/share/samples/fi
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-fi.xcu

%files langpack-fr
%defattr(-,root,root)
%{instdir}/help/fr
%{instdir}/program/resource/*680fr.res
%{instdir}/share/dict/ooo/README_fr_FR.txt
%{instdir}/share/dict/ooo/fr_*.*
%{instdir}/share/readme/LICENSE_fr*
%{instdir}/share/readme/README_fr*
%{instdir}/share/registry/res/fr
%{instdir}/share/template/fr
%{instdir}/share/samples/fr
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-fr.xcu

%if 0
%files langpack-ga_IE
%defattr(-,root,root)
%{instdir}/program/resource/*680ga.res
%{instdir}/share/dict/ooo/ga_IE.*
%{instdir}/share/readme/LICENSE_ga*
%{instdir}/share/readme/README_ga*
%{instdir}/share/registry/res/ga
%{instdir}/share/template/ga
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ga.xcu
%{instdir}/help/ga/*
%endif

%files langpack-gl_ES
%defattr(-,root,root)
%{instdir}/help/gl
%{instdir}/program/resource/*680gl.res
%{instdir}/share/dict/ooo/gl_ES.*
%{instdir}/share/readme/LICENSE_gl*
%{instdir}/share/readme/README_gl*
%{instdir}/share/registry/res/gl
%{instdir}/share/template/gl
%{instdir}/share/samples/gl
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-gl.xcu

%files langpack-gu_IN
%defattr(-,root,root)
%{instdir}/help/gu-IN
%{instdir}/program/resource/*680gu-IN.res
%{instdir}/share/readme/LICENSE_gu-IN*
%{instdir}/share/readme/README_gu-IN*
%{instdir}/share/registry/res/gu-IN
%{instdir}/share/template/gu-IN
%{instdir}/share/samples/gu-IN
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-gu-IN.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_gu-IN.xcu

%files langpack-pa_IN
%defattr(-,root,root)
%{instdir}/help/pa-IN
%{instdir}/program/resource/*680pa-IN.res
%{instdir}/share/dict/ooo/pa_IN.*
%{instdir}/share/readme/LICENSE_pa-IN*
%{instdir}/share/readme/README_pa-IN*
%{instdir}/share/registry/res/pa-IN
%{instdir}/share/template/pa-IN
%{instdir}/share/samples/pa-IN
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-pa-IN.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_pa-IN.xcu

%files langpack-he_IL
%defattr(-,root,root)
%{instdir}/help/he
%{instdir}/program/resource/*680he.res
#%{instdir}/share/dict/ooo/*he_IL*
%{instdir}/share/readme/LICENSE_he*
%{instdir}/share/readme/README_he*
%{instdir}/share/registry/res/he
%{instdir}/share/template/he
%{instdir}/share/samples/he
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-he.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_he.xcu

%files langpack-hi_IN
%defattr(-,root,root)
%{instdir}/help/hi-IN
%{instdir}/program/resource/*680hi-IN.res
%{instdir}/share/dict/ooo/hi_IN.*
%{instdir}/share/readme/LICENSE_hi-IN*
%{instdir}/share/readme/README_hi-IN*
%{instdir}/share/registry/res/hi-IN
%{instdir}/share/template/hi-IN
%{instdir}/share/samples/hi-IN
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-hi-IN.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_hi-IN.xcu

%files langpack-hu_HU
%defattr(-,root,root)
%{instdir}/help/hu
%{instdir}/program/resource/*680hu.res
%{instdir}/share/dict/ooo/README*_hu_HU.txt
%{instdir}/share/dict/ooo/hu_HU.*
%{instdir}/share/dict/ooo/hyph_hu_HU.dic
%{instdir}/share/readme/LICENSE_hu*
%{instdir}/share/readme/README_hu*
%{instdir}/share/registry/res/hu
%{instdir}/share/template/hu
%{instdir}/share/samples/hu
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-hu.xcu

%files langpack-hr_HR
%defattr(-,root,root)
%{instdir}/help/hr
%{instdir}/program/resource/*680hr.res
%{instdir}/share/dict/ooo/hr_HR.*
%{instdir}/share/readme/LICENSE_hr*
%{instdir}/share/readme/README_hr*
%{instdir}/share/registry/res/hr
%{instdir}/share/template/hr
%{instdir}/share/samples/hr
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-hr.xcu

%files langpack-it
%defattr(-,root,root)
%{instdir}/help/it
%{instdir}/program/resource/*680it.res
%{instdir}/share/dict/ooo/README*_it_IT*.txt
%{instdir}/share/dict/ooo/it_*.*
%{instdir}/share/dict/ooo/hyph_it_IT.dic
%{instdir}/share/dict/ooo/th_it_IT_v2.*
%{instdir}/share/readme/LICENSE_it*
%{instdir}/share/readme/README_it*
%{instdir}/share/registry/res/it
%{instdir}/share/template/it
%{instdir}/share/samples/it
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-it.xcu

%files langpack-ja_JP
%defattr(-,root,root)
%{instdir}/help/ja
%{instdir}/program/resource/*680ja.res
%{instdir}/share/readme/LICENSE_ja*
%{instdir}/share/readme/README_ja*
%{instdir}/share/registry/res/ja
%{instdir}/share/template/ja
%{instdir}/share/samples/ja
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ja.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-cjk_ja.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-cjk_ja.xcu

%files langpack-ko_KR
%defattr(-,root,root)
%{instdir}/help/ko
%{instdir}/program/resource/*680ko.res
%{instdir}/share/readme/LICENSE_ko*
%{instdir}/share/readme/README_ko*
%{instdir}/share/registry/res/ko
%{instdir}/share/template/ko
%{instdir}/share/samples/ko
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ko.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-cjk_ko.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-korea.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-cjk_ko.xcu

%files langpack-lt_LT
%defattr(-,root,root)
%{instdir}/help/lt
%{instdir}/program/resource/*680lt.res
%{instdir}/share/dict/ooo/README*_lt_LT.txt
%{instdir}/share/dict/ooo/lt_LT.*
%{instdir}/share/dict/ooo/hyph_lt_LT.dic
%{instdir}/share/readme/LICENSE_lt*
%{instdir}/share/readme/README_lt*
%{instdir}/share/registry/res/lt
%{instdir}/share/template/lt
%{instdir}/share/samples/lt
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-lt.xcu

%files langpack-ms_MY
%defattr(-,root,root)
%{instdir}/help/ms
%{instdir}/program/resource/*680ms.res
%{instdir}/share/dict/ooo/ms_*.*
%{instdir}/share/readme/LICENSE_ms*
%{instdir}/share/readme/README_ms*
%{instdir}/share/registry/res/ms
%{instdir}/share/template/ms
%{instdir}/share/samples/ms
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ms.xcu

%files langpack-nb_NO
%defattr(-,root,root)
%{instdir}/help/nb
%{instdir}/program/resource/*680nb.res
%{instdir}/share/dict/ooo/nb_NO.*
%{instdir}/share/readme/LICENSE_nb*
%{instdir}/share/readme/README_nb*
%{instdir}/share/registry/res/nb
%{instdir}/share/template/nb
%{instdir}/share/samples/nb
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-nb.xcu

%files langpack-ne_NP
%defattr(-,root,root)
%{instdir}/help/ne
%{instdir}/program/resource/*680ne.res
%{instdir}/share/dict/ooo/README*_ne_NP*.txt
%{instdir}/share/dict/ooo/ne_NP.*
%{instdir}/share/dict/ooo/th_ne_NP_v2.*
%{instdir}/share/readme/LICENSE_ne*
%{instdir}/share/readme/README_ne*
%{instdir}/share/registry/res/ne
%{instdir}/share/template/ne
%{instdir}/share/samples/ne
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ne.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_ne.xcu

%files langpack-nl
%defattr(-,root,root)
%{instdir}/help/nl
%{instdir}/program/resource/*680nl.res
%{instdir}/share/dict/ooo/README_nl_NL.txt
%{instdir}/share/dict/ooo/nl_*.*
%{instdir}/share/dict/ooo/hyph_nl_NL.dic
%{instdir}/share/readme/LICENSE_nl*
%{instdir}/share/readme/README_nl*
%{instdir}/share/registry/res/nl
%{instdir}/share/template/nl
%{instdir}/share/samples/nl
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-nl.xcu

%if 0
%files langpack-nn_NO
%defattr(-,root,root)
%{instdir}/help/nn
%{instdir}/program/resource/*680nn.res
%{instdir}/share/dict/ooo/nn_NO.*
%{instdir}/share/readme/LICENSE_nn*
%{instdir}/share/readme/README_nn*
%{instdir}/share/registry/res/nn
%{instdir}/share/template/nn
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-nn.xcu
%endif

%files langpack-pl_PL
%defattr(-,root,root)
%{instdir}/help/pl
%{instdir}/program/resource/*680pl.res
%{instdir}/share/dict/ooo/README*_pl_PL*.txt
%{instdir}/share/dict/ooo/pl_PL.*
%{instdir}/share/dict/ooo/hyph_pl_PL.dic
%{instdir}/share/dict/ooo/th_pl_PL_v2.*
%{instdir}/share/readme/LICENSE_pl*
%{instdir}/share/readme/README_pl*
%{instdir}/share/registry/res/pl
%{instdir}/share/template/pl
%{instdir}/share/samples/pl
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-pl.xcu

%files langpack-pt_PT
%defattr(-,root,root)
%{instdir}/help/pt
%{instdir}/program/resource/*680pt.res
%{instdir}/share/dict/ooo/pt_PT.*
%{instdir}/share/readme/LICENSE_pt
%{instdir}/share/readme/LICENSE_pt.html
%{instdir}/share/readme/README_pt
%{instdir}/share/readme/README_pt.html
%{instdir}/share/registry/res/pt
%{instdir}/share/template/pt
%{instdir}/share/samples/pt
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-pt.xcu

%files langpack-pt_BR
%defattr(-,root,root)
%{instdir}/help/pt-BR
%{instdir}/program/resource/*680pt-BR.res
%{instdir}/share/dict/ooo/README_pt_BR.txt
%{instdir}/share/dict/ooo/pt_BR.*
%{instdir}/share/readme/LICENSE_pt-BR*
%{instdir}/share/readme/README_pt-BR*
%{instdir}/share/registry/res/pt-BR
%{instdir}/share/template/pt-BR
%{instdir}/share/samples/pt-BR
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-pt-BR.xcu

%files langpack-ru
%defattr(-,root,root)
%{instdir}/help/ru
%{instdir}/program/resource/*680ru.res
%{instdir}/share/dict/ooo/README*_ru_RU.txt
%{instdir}/share/dict/ooo/ru_RU.*
%{instdir}/share/dict/ooo/hyph_ru_RU.dic
%{instdir}/share/dict/ooo/th_ru_RU_v2.*
%{instdir}/share/readme/LICENSE_ru*
%{instdir}/share/readme/README_ru*
%{instdir}/share/registry/res/ru
%{instdir}/share/template/ru
%{instdir}/share/samples/ru
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ru.xcu

%files langpack-sk_SK
%defattr(-,root,root)
%{instdir}/help/sk
%{instdir}/program/resource/*680sk.res
%{instdir}/share/dict/ooo/README_sk_SK.txt
%{instdir}/share/dict/ooo/sk_SK.*
%{instdir}/share/dict/ooo/th_sk_SK_*
%{instdir}/share/readme/LICENSE_sk*
%{instdir}/share/readme/README_sk*
%{instdir}/share/registry/res/sk
%{instdir}/share/template/sk
%{instdir}/share/samples/sk
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-sk.xcu

%files langpack-sl_SI
%defattr(-,root,root)
%{instdir}/help/sl
%{instdir}/program/resource/*680sl.res
%{instdir}/share/dict/ooo/README*_sl_SI.txt
%{instdir}/share/dict/ooo/sl_SI.*
%{instdir}/share/dict/ooo/hyph_sl_SI.dic
%{instdir}/share/readme/LICENSE_sl*
%{instdir}/share/readme/README_sl*
%{instdir}/share/registry/res/sl
%{instdir}/share/template/sl
%{instdir}/share/samples/sl
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-sl.xcu

%files langpack-sv
%defattr(-,root,root)
%{instdir}/help/sv
%{instdir}/program/resource/*680sv.res
%{instdir}/share/dict/ooo/README_sv_SE.txt
%{instdir}/share/dict/ooo/sv_*.*
%{instdir}/share/readme/LICENSE_sv*
%{instdir}/share/readme/README_sv*
%{instdir}/share/registry/res/sv
%{instdir}/share/template/sv
%{instdir}/share/samples/sv
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-sv.xcu

%if 0
%files langpack-ta_IN
%defattr(-,root,root)
%{instdir}/help/ta/*
%{instdir}/program/resource/*680ta-IN.res
%{instdir}/share/dict/ooo/ta_IN.*
%{instdir}/share/readme/LICENSE_ta-IN*
%{instdir}/share/readme/README_ta-IN*
%{instdir}/share/registry/res/ta-IN
%{instdir}/share/template/ta-IN
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-ta-IN.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_ta-IN.xcu
%endif

%files langpack-th_TH
%defattr(-,root,root)
%{instdir}/help/th
%{instdir}/share/dict/ooo/README_th_TH.txt
%{instdir}/share/dict/ooo/th_TH.*
%{instdir}/program/resource/*680th.res
%{instdir}/share/readme/LICENSE_th*
%{instdir}/share/readme/README_th*
%{instdir}/share/registry/res/th
%{instdir}/share/template/th
%{instdir}/share/samples/th
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-th.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-ctl_th.xcu

%files langpack-tr_TR
%defattr(-,root,root)
%{instdir}/help/tr
%{instdir}/program/resource/*680tr.res
%{instdir}/share/readme/LICENSE_tr*
%{instdir}/share/readme/README_tr*
%{instdir}/share/registry/res/tr
%{instdir}/share/template/tr
%{instdir}/share/samples/tr
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-tr.xcu

%files langpack-zh_CN
%defattr(-,root,root)
%{instdir}/help/zh-CN
%{instdir}/program/resource/*680zh-CN.res
%{instdir}/share/readme/LICENSE_zh-CN*
%{instdir}/share/readme/README_zh-CN*
%{instdir}/share/registry/res/zh-CN
%{instdir}/share/template/zh-CN
%{instdir}/share/samples/zh-CN
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-cjk_zh-CN.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-cjk_zh-CN.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-zh-CN.xcu

%files langpack-zh_TW
%defattr(-,root,root)
%{instdir}/help/zh-TW
%{instdir}/program/resource/*680zh-TW.res
%{instdir}/share/readme/LICENSE_zh-TW*
%{instdir}/share/readme/README_zh-TW*
%{instdir}/share/registry/res/zh-TW
%{instdir}/share/template/zh-TW
%{instdir}/share/samples/zh-TW
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-zh-TW.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-cjk_zh-TW.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-cjk_zh-TW.xcu

%files langpack-zu_ZA
%defattr(-,root,root)
%{instdir}/help/zu
%{instdir}/program/resource/*680zu.res
%{instdir}/share/dict/ooo/zu_ZA.*
%{instdir}/share/dict/ooo/hyph_zu_ZA.dic
%{instdir}/share/readme/LICENSE_zu*
%{instdir}/share/readme/README_zu*
%{instdir}/share/registry/res/zu
%{instdir}/share/template/zu
%{instdir}/share/samples/zu
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-zu.xcu

%endif

%files core
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL MAINTAINERS NEWS README TODO doc www readmes.OOo licenses.OOo README.jsdp2007.txt
%dir %{instdir}
%dir %{_datadir}/%{ooodirname}
%{instdir}/LICENSE
%{instdir}/LICENSE.html
%{instdir}/README
%{instdir}/README.html
%{instdir}/THIRDPARTYLICENSEREADME.html
%{instdir}/install-dict
#%%{_sysconfdir}/bash_completion.d/ooo-wrapper.sh
%{_sysconfdir}/bash_completion.d/ooffice.sh
%dir %{instdir}/help
%dir %{instdir}/help/en
%{instdir}/help/en/default.css
%{instdir}/help/en/err.html
%{instdir}/help/en/highcontrast1.css
%{instdir}/help/en/highcontrast2.css
%{instdir}/help/en/highcontrastblack.css
%{instdir}/help/en/highcontrastwhite.css
%{instdir}/help/en/sbasic.*
%{instdir}/help/en/schart.*
%{instdir}/help/en/shared.*
%{instdir}/help/main_transform.xsl
%{instdir}/presets
%dir %{instdir}/program
# java
%if %{with_java}
%{instdir}/program/JREProperties.class
%endif
%{instdir}/program/about.bmp
%{instdir}/program/acceptor.uno.so
%{instdir}/program/addin
%{instdir}/program/basprov680*.uno.so
%{instdir}/program/behelper.uno.so
%{instdir}/program/bootstraprc
%{instdir}/program/bootstrap.uno.so
%{instdir}/program/bridgefac.uno.so
%{instdir}/program/cairocanvas.uno.so
%{instdir}/program/canvasfactory.uno.so
%{instdir}/program/cde-open-url
# java
%if %{with_java}
%dir %{instdir}/program/classes
%{instdir}/program/classes/agenda.jar                
#%{instdir}/program/classes/avmedia.jar                
%{instdir}/program/classes/classes.jar                
%{instdir}/program/classes/commonwizards.jar
%{instdir}/program/classes/fax.jar
%{instdir}/program/classes/form.jar
%{instdir}/program/classes/java_uno.jar
#%{instdir}/program/classes/java_uno_accessbridge.jar
%{instdir}/program/classes/js.jar
%{instdir}/program/classes/juh.jar          
%{instdir}/program/classes/jurt.jar         
%{instdir}/program/classes/jut.jar          
%{instdir}/program/classes/query.jar          
%{instdir}/program/classes/letter.jar          
%{instdir}/program/classes/officebean.jar
%{instdir}/program/classes/report.jar
%{instdir}/program/classes/ridl.jar
%{instdir}/program/classes/sandbox.jar
%{instdir}/program/classes/serializer.jar
%{instdir}/program/classes/sdbc_hsqldb.jar
%{instdir}/program/classes/ScriptFramework.jar
%{instdir}/program/classes/ScriptProviderForBeanShell.jar
%{instdir}/program/classes/ScriptProviderForJava.jar
%{instdir}/program/classes/ScriptProviderForJavaScript.jar
%{instdir}/program/classes/table.jar
%{instdir}/program/classes/unoil.jar
%{instdir}/program/classes/unoloader.jar
%{instdir}/program/classes/web.jar
%{instdir}/program/classes/writer2latex.jar
%{instdir}/program/classes/XMergeBridge.jar
%{instdir}/program/classes/xmerge.jar
%{instdir}/program/classes/XSLTFilter.jar
%{instdir}/program/classes/XSLTValidate.jar
%endif
%{instdir}/program/cmdmail.uno.so
%{instdir}/program/configimport
%{instdir}/program/configimport.bin
%{instdir}/program/configmgr2.uno.so
%{instdir}/program/configmgrrc
%{instdir}/program/connector.uno.so
#%{instdir}/program/crash_report
%{instdir}/program/deployment680*.uno.so
%{instdir}/program/deploymentgui680*.uno.so
%{instdir}/program/desktopbe1.uno.so
%{instdir}/program/dlgprov680*.uno.so
%{instdir}/program/fastsax.uno.so
%{instdir}/program/fpicker.uno.so
%{instdir}/program/fps_gnome.uno.so
%{instdir}/program/fps_office.uno.so
%{instdir}/program/fsstorage.uno.so
%{instdir}/program/gengal*
%{instdir}/program/gnome-open-url
%{instdir}/program/gnome-open-url.bin
%{instdir}/program/hatchwindowfactory.uno.so
%{instdir}/program/i18npool.uno.so
%{instdir}/program/i18nsearch.uno.so
#%%{instdir}/program/implreg.uno.so
%{instdir}/program/openintro_momonga.bmp
%{instdir}/program/introspection.uno.so
%{instdir}/program/invocadapt.uno.so
%{instdir}/program/invocation.uno.so
%if %{with_java}
%{instdir}/program/javaldx
%{instdir}/program/javaloader.uno.so
%{instdir}/program/javavm.uno.so
%endif
%{instdir}/program/java-set-classpath
%{instdir}/program/jvmfwk3rc
%{instdir}/program/kde-open-url
%{instdir}/program/ldapbe2.uno.so
# we dont build binfilter
#%{instdir}/program/legacy_binfilters.rdb
%{instdir}/program/libabp680*.so
%{instdir}/program/libacc680*.so
%{instdir}/program/libadabas2.so
%{instdir}/program/libaffine_uno_uno.so
# %{instdir}/program/libagg680*.so
%{instdir}/program/libavmedia680*.so
%{instdir}/program/libavmediagst.so
%{instdir}/program/libbasctl680*.so
%{instdir}/program/libbasebmp680*.so
%{instdir}/program/libbasegfx680*.so
# we dont build binfilter
#%{instdir}/program/libbf_frm680*.so
#%{instdir}/program/libbf_lng680*.so
#%{instdir}/program/libbf_migratefilter680*.so
#%{instdir}/program/libbf_ofa680*.so
#%{instdir}/program/libbf_sch680*.so
#%{instdir}/program/libbf_sd680*.so
#%{instdir}/program/libbf_sm680*.so
#%{instdir}/program/libbf_svx680*.so
#%{instdir}/program/libbf_sw680*.so
#%{instdir}/program/libbf_wrapper680*.so
#%{instdir}/program/libbf_xo680*.so
%{instdir}/program/libbib680*.so
# ?
#%{instdir}/program/libbindet680*.so
%{instdir}/program/libcached1.so
%{instdir}/program/libcanvastools680*.so
%{instdir}/program/libchartcontroller680*.so
%{instdir}/program/libchartmodel680*.so
%{instdir}/program/libcharttools680*.so
%{instdir}/program/libchartview680*.so
%{instdir}/program/libcomphelp4gcc3.so
%{instdir}/program/libcollator_data.so
%{instdir}/program/libcppcanvas680*.so
%{instdir}/program/libcppu.so
%{instdir}/program/libcppu.so.3
%{instdir}/program/libcppuhelper3gcc3.so
%{instdir}/program/libcppuhelpergcc3.so
%{instdir}/program/libcppuhelpergcc3.so.3
%{instdir}/program/libctl680*.so
%{instdir}/program/libcui680*.so
%{instdir}/program/libdba680*.so
%{instdir}/program/libdbacfg680*.so
%{instdir}/program/libdbase680*.so
%{instdir}/program/libdbaxml680*.so
%{instdir}/program/libdbp680*.so
%{instdir}/program/libdbpool2.so
%{instdir}/program/libdbtools680*.so
%{instdir}/program/libdbu680*.so
%{instdir}/program/libdeploymentmisc680*.so
%{instdir}/program/libdict_ja.so
%{instdir}/program/libdict_zh.so
%{instdir}/program/libdtransX11680*.so
%{instdir}/program/libembobj.so
%{instdir}/program/libemboleobj.so
%{instdir}/program/libevoab1.so
%{instdir}/program/libevtatt.so
%{instdir}/program/libegi680*.so
%{instdir}/program/libeggtray680*.so
%{instdir}/program/libeme680*.so
%{instdir}/program/libemp680*.so    
%{instdir}/program/libepb680*.so
%{instdir}/program/libepg680*.so    
%{instdir}/program/libepp680*.so
%{instdir}/program/libeps680*.so    
%{instdir}/program/libept680*.so
%{instdir}/program/libera680*.so    
%{instdir}/program/libeti680*.so
# disable evolution2 ?
#%{instdir}/program/libevoab2.so
%{instdir}/program/libexlink680*.so    
%{instdir}/program/libexp680*.so    
%{instdir}/program/libfwm680*.so
%{instdir}/program/libicd680*.so
%{instdir}/program/libicg680*.so
%{instdir}/program/libidx680*.so
%{instdir}/program/libime680*.so
%{instdir}/program/libindex_data.so
%{instdir}/program/libipb680*.so
%{instdir}/program/libipd680*.so
%{instdir}/program/libips680*.so
%{instdir}/program/libipt680*.so
%{instdir}/program/libipx680*.so
%{instdir}/program/libira680*.so
%{instdir}/program/libitg680*.so
%{instdir}/program/libiti680*.so
# java 
%if %{with_java}
%{instdir}/program/libofficebean.so
%endif
%{instdir}/program/libfile680*.so
%{instdir}/program/libfileacc.so
%{instdir}/program/libfilterconfig1.so
%{instdir}/program/libflat680*.so
%{instdir}/program/libfrm680*.so
%{instdir}/program/libfwe680*.so
%{instdir}/program/libfwi680*.so
%{instdir}/program/libfwk680*.so
%{instdir}/program/libfwl680*.so
%{instdir}/program/libgcc3_uno.so
%{instdir}/program/libgo680*.so
%{instdir}/program/libguesslang680*.so
# java database
#%{instdir}/program/libhsqldb2.so
%{instdir}/program/libhelplinker680*.so
#%{instdir}/program/libhunspell.so
%{instdir}/program/libhyphen680*.so
%{instdir}/program/libi18nisolang1gcc3.so
#%{instdir}/program/libi18npool.uno.so
#%{instdir}/program/libi18npool_asian.uno.so
%{instdir}/program/libi18nregexpgcc3.so
%{instdir}/program/libi18nutilgcc3.so
%{instdir}/program/libj680*_g.so
# java
%if %{with_java}
%{instdir}/program/libjava_uno.so
%{instdir}/program/libjdbc2.so
%{instdir}/program/libjpipe.so
%{instdir}/program/libjuh.so
%{instdir}/program/libjuhx.so
%{instdir}/program/libjvmaccessgcc3.so
%endif
%{instdir}/program/libjvmaccessgcc3.so.3
%if %{with_java}
%{instdir}/program/libjvmfwk.so
%endif
%{instdir}/program/libjvmfwk.so.3
# we dont build binfilter
#%{instdir}/program/liblegacy_binfilters680*.so
%{instdir}/program/liblng680*.so
%{instdir}/program/liblocaledata_en.so
%{instdir}/program/liblocaledata_es.so
%{instdir}/program/liblocaledata_euro.so
%{instdir}/program/liblocaledata_others.so
%{instdir}/program/liblog680*.so
%{instdir}/program/liblpsolve*.so
%{instdir}/program/liblwpft680*.so
%{instdir}/program/libmcnttype.so
%{instdir}/program/libmsworks680*.so
#%%{instdir}/program/libmtfrenderer*.uno.so
# system mozilla ?
#%{instdir}/program/libmozab*
#%%{instdir}/program/libmyspell.so
%{instdir}/program/libmysql2.so
%{instdir}/program/libnpsoplugin.so
%{instdir}/program/libodbc2.so
%{instdir}/program/libodbcbase2.so
%{instdir}/program/liboffacc680*.so
%{instdir}/program/liboox680*.so
%{instdir}/program/libpackage2.so
%{instdir}/program/libpcr680*.so
%{instdir}/program/libpdffilter680*.so
%{instdir}/program/libpl680*.so
%{instdir}/program/libpreload680*.so
%{instdir}/program/libprotocolhandler680*.so
%{instdir}/program/libpsp680*.so
%{instdir}/program/libqstart_gtk680*.so
%{instdir}/program/librecentfile.so
%{instdir}/program/libreg.so
%{instdir}/program/libreg.so.3
%{instdir}/program/libres680*.so
%{instdir}/program/librmcxt.so
%{instdir}/program/librmcxt.so.3
%if %{with_java}
%{instdir}/program/librpt680*.so
%{instdir}/program/librptui680*.so
%{instdir}/program/librptxml680*.so
%endif
%{instdir}/program/libsal.so
%{instdir}/program/libsal.so.3
%{instdir}/program/libsalhelper3gcc3.so
%{instdir}/program/libsalhelpergcc3.so
%{instdir}/program/libsalhelpergcc3.so.3
%{instdir}/program/libsax680*.so
%{instdir}/program/libsb680*.so
%{instdir}/program/libsc680*.so
%{instdir}/program/libscn680*.so
%{instdir}/program/libscriptframe.so
%{instdir}/program/libscui680*.so
%{instdir}/program/libsd680*.so
%{instdir}/program/libsdbc2.so
%{instdir}/program/libsdbt680*.so
%{instdir}/program/libsdd680*.so
%{instdir}/program/libsdui680*.so
%{instdir}/program/libsfx680*.so
#%%{instdir}/program/libso680*.so
%{instdir}/program/libsot680*.so
%{instdir}/program/libspa680*.so
%{instdir}/program/libspell680*.so
%{instdir}/program/libspl680*.so
%{instdir}/program/libspl_unx680*.so
%{instdir}/program/libsrtrs1.so
%{instdir}/program/libstore.so
%{instdir}/program/libstore.so.3
%{instdir}/program/libsts680*.so
%{instdir}/program/libsvl680*.so
%{instdir}/program/libsvt680*.so
%{instdir}/program/libsvx680*.so
%{instdir}/program/libsw680*.so
%{instdir}/program/libtextcat.so
%{instdir}/program/libtextconv_dict.so
%{instdir}/program/libtextconversiondlgs680*.so
%{instdir}/program/libt602filter680*.so
%{instdir}/program/libtfu680*.so
%{instdir}/program/libtk680*.so
%{instdir}/program/libtl680*.so
%{instdir}/program/libtvhlp1.so
%{instdir}/program/libucb1.so
%{instdir}/program/libucbhelper4gcc3.so
%{instdir}/program/libucpchelp1.so
%{instdir}/program/libucpdav1.so
%{instdir}/program/libucpfile1.so
%{instdir}/program/libucpftp1.so
%{instdir}/program/libucphier1.so
%{instdir}/program/libucppkg1.so
%{instdir}/program/libuno_cppu.so
%{instdir}/program/libuno_cppu.so.3
%{instdir}/program/libuno_cppuhelpergcc3.so
%{instdir}/program/libuno_cppuhelpergcc3.so.3
%{instdir}/program/libuno_purpenvhelpergcc3.so.3
%{instdir}/program/libuno_sal.so
%{instdir}/program/libuno_sal.so.3
%{instdir}/program/libuno_salhelpergcc3.so
%{instdir}/program/libuno_salhelpergcc3.so.3
%{instdir}/program/libunsafe_uno_uno.so
%{instdir}/program/libunoxml680*.so
%{instdir}/program/libupdchk680*.so
%{instdir}/program/liburp_uno.so
%{instdir}/program/libutl680*.so
%{instdir}/program/libuui680*.so
%{instdir}/program/libvbaobj680*.so
%{instdir}/program/libvcl680*.so
%{instdir}/program/libvclplug_svp680*.so
#%{instdir}/program/libvclplug_dummy680*.so
#%{_libdir}/libvclplug_dummy680*.so
%{instdir}/program/libvclplug_gen680*.so
%{_libdir}/libvclplug_gen680*.so
%{instdir}/program/libvclplug_gtk680*.so
%{_libdir}/libvclplug_gtk680*.so
%{_libdir}/libvclplug_svp680*.so
%{instdir}/program/libvos3gcc3.so
%{instdir}/program/libwriterfilter680*.so
%{instdir}/program/libxcr680*.so
%{instdir}/program/libxmlfa680*.so
%{instdir}/program/libxmlfd680*.so
%{instdir}/program/libxmx680*.so
%{instdir}/program/libxo680*.so
%{instdir}/program/libxof680*.so
%{instdir}/program/libxsec_fw.so
%{instdir}/program/libxsec_xmlsec.so
%{instdir}/program/libxsltdlg680*.so
%{instdir}/program/libxsltfilter680*.so
%{instdir}/program/libxstor.so
%{instdir}/program/localebe1.uno.so
%{instdir}/program/migrationoo2.uno.so
%{instdir}/program/namingservice.uno.so
#%%{instdir}/program/nestedreg.uno.so
%{instdir}/program/nsplugin
#%%{instdir}/program/oo_product.bmp
%{instdir}/program/oosplash.bin
%{instdir}/program/oovbaapi.rdb
%{instdir}/program/open-url
%{instdir}/program/pagein
%{instdir}/program/pagein-calc
%{instdir}/program/pagein-common
%{instdir}/program/pagein-draw
%{instdir}/program/pagein-impress
%{instdir}/program/pagein-writer
%{instdir}/program/passwordcontainer.uno.so
%{instdir}/program/pkgchk
%{instdir}/program/pkgchk.bin
%{instdir}/program/plugin
%{instdir}/program/pluginapp.bin
%{instdir}/program/productregistration.uno.so
%{instdir}/program/proxyfac.uno.so
%{instdir}/program/reflection.uno.so
#%%{instdir}/program/regtypeprov.uno.so
%{instdir}/program/remotebridge.uno.so
%{instdir}/program/vbaevents680*.uno.so
%{instdir}/program/versionrc
%dir %{instdir}/program/resource
%{instdir}/program/resource/acc680en-US.res
%{instdir}/program/resource/avmedia680en-US.res
%{instdir}/program/resource/abp680en-US.res
%{instdir}/program/resource/basctl680en-US.res
# we dont build binfilter
#%{instdir}/program/resource/bf_frm680en-US.res
#%{instdir}/program/resource/bf_ofa680en-US.res
#%{instdir}/program/resource/bf_sch680en-US.res
#%{instdir}/program/resource/bf_sd680en-US.res
#%{instdir}/program/resource/bf_sfx680en-US.res
#%{instdir}/program/resource/bf_svx680en-US.res
#%{instdir}/program/resource/bf_sw680en-US.res
%{instdir}/program/resource/bib680en-US.res
%{instdir}/program/resource/cal680en-US.res
%{instdir}/program/resource/chartcontroller680en-US.res
%{instdir}/program/resource/dba680en-US.res
%{instdir}/program/resource/dbp680en-US.res
%{instdir}/program/resource/dbu680en-US.res
%{instdir}/program/resource/dbw680en-US.res
%{instdir}/program/resource/deployment680en-US.res
%{instdir}/program/resource/deploymentgui680en-US.res
%{instdir}/program/resource/dkt680en-US.res
%{instdir}/program/resource/egi680en-US.res
%{instdir}/program/resource/eme680en-US.res
%{instdir}/program/resource/epb680en-US.res
%{instdir}/program/resource/epg680en-US.res
%{instdir}/program/resource/epp680en-US.res
%{instdir}/program/resource/eps680en-US.res
%{instdir}/program/resource/ept680en-US.res
%{instdir}/program/resource/eur680en-US.res
%{instdir}/program/resource/fps_office680en-US.res
%{instdir}/program/resource/frm680en-US.res
%{instdir}/program/resource/fwe680en-US.res
%{instdir}/program/resource/gal680en-US.res
%{instdir}/program/resource/imp680en-US.res
# %{instdir}/program/resource/lgd680en-US.res
%{instdir}/program/resource/ofa680en-US.res
%{instdir}/program/resource/ooo680en-US.res
%{instdir}/program/resource/pcr680en-US.res
%{instdir}/program/resource/pdffilter680en-US.res
%{instdir}/program/resource/preload680en-US.res
%{instdir}/program/resource/productregistration680en-US.res
%if %{with_java}
%{instdir}/program/resource/rpt680en-US.res
%{instdir}/program/resource/rptui680en-US.res
%endif 
%{instdir}/program/resource/san680en-US.res
%{instdir}/program/resource/sb680en-US.res
%{instdir}/program/resource/sd680en-US.res
%{instdir}/program/resource/sdbcl680en-US.res
%{instdir}/program/resource/sdberr680en-US.res
%{instdir}/program/resource/sdbt680en-US.res
%{instdir}/program/resource/scsolver680en-US.res
%{instdir}/program/resource/sfx680en-US.res
%{instdir}/program/resource/spa680en-US.res
%{instdir}/program/resource/svs680en-US.res
%{instdir}/program/resource/svt680en-US.res
%{instdir}/program/resource/svx680en-US.res
%{instdir}/program/resource/sw680en-US.res
%{instdir}/program/resource/textconversiondlgs680en-US.res
%{instdir}/program/resource/t602filter680en-US.res
%{instdir}/program/resource/tfu680en-US.res
%{instdir}/program/resource/tk680en-US.res
%{instdir}/program/resource/tpl680en-US.res
%{instdir}/program/resource/updchk680en-US.res
%{instdir}/program/resource/uui680en-US.res
%{instdir}/program/resource/vcl680en-US.res
%{instdir}/program/resource/wzi680en-US.res
%{instdir}/program/resource/xmlsec680en-US.res
%{instdir}/program/resource/xsltdlg680en-US.res
%{instdir}/program/root*.dat
%{instdir}/program/sax.uno.so
%{instdir}/program/scsolver.uno.so
#%%{instdir}/program/security.uno.so
%{instdir}/program/senddoc
#%%{instdir}/program/servicemgr.uno.so
%{instdir}/program/services.rdb
%{instdir}/program/setuprc
#%%{instdir}/program/shlibloader.uno.so
%{instdir}/program/simplecanvas.uno.so
#%%{instdir}/program/simplereg.uno.so
%{instdir}/program/slideshow.uno.so
%{instdir}/program/setofficelang*
%{instdir}/program/soffice
%{instdir}/program/soffice.bin
# ?
#%{instdir}/program/libsoffice.so
%{instdir}/program/sofficerc
%{instdir}/program/spadmin
%{instdir}/program/spadmin.bin
%{instdir}/program/stocservices.uno.so
%{instdir}/program/streams.uno.so
%{instdir}/program/stringresource680*.so
# java
%if %{with_java}
%{instdir}/program/sunjavaplugin.so
%endif
%{instdir}/program/svtmisc.uno.so
%{instdir}/program/sysmgr1.uno.so
%{instdir}/program/syssh.uno.so
%{instdir}/program/textinstream.uno.so
%{instdir}/program/textoutstream.uno.so
#%%{instdir}/program/typeconverter.uno.so
#%%{instdir}/program/typemgr.uno.so
%{instdir}/program/types.rdb
%{instdir}/program/ucpexpand1.uno.so
%{instdir}/program/ucptdoc1.uno.so
%{instdir}/program/uno
%{instdir}/program/uno.bin
%{instdir}/program/unopkg
%{instdir}/program/unopkg.bin
%{instdir}/program/unorc
%{instdir}/program/updatefeed.uno.so
%{instdir}/program/uri-encode
#%%{instdir}/program/uriproc.uno.so
%{instdir}/program/uuresolver.uno.so
%{instdir}/program/vclcanvas.uno.so
# ?
#%{instdir}/program/versionrc
%{instdir}/program/viewdoc
%dir %{instdir}/share
%dir %{instdir}/share/Scripts
%{instdir}/share/Scripts/beanshell
%{instdir}/share/Scripts/javascript
# java
%if %{with_java}
%{instdir}/share/Scripts/java
%endif
%{instdir}/share/autocorr
%{instdir}/share/autotext
%{instdir}/share/basic
%dir %{instdir}/share/config
%{instdir}/share/config/images.zip
%{instdir}/share/config/images_industrial.zip
%{instdir}/share/config/images_crystal.zip
%{instdir}/share/config/images_hicontrast.zip
%{instdir}/share/config/images_tango.zip
%{instdir}/share/config/javasettingsunopkginstall.xml
# java
%if %{with_java}
%{instdir}/share/config/javavendors.xml
%endif
%{instdir}/share/config/psetup.xpm
%{instdir}/share/config/psetupl.xpm
%dir %{instdir}/share/config/soffice.cfg
%{instdir}/share/config/soffice.cfg/global
%{instdir}/share/config/soffice.cfg/modules
%{instdir}/share/config/symbol
%{instdir}/share/config/webcast
%{instdir}/share/config/wizard
%dir %{instdir}/share/dict
%dir %{instdir}/share/dict/ooo
%{instdir}/share/dict/ooo/DicOOo.sxw
%{instdir}/share/dict/ooo/dictionary.lst
%{instdir}/share/dict/ooo/WordNet_license.txt
%{instdir}/share/dict/ooo/en_AU.*
%{instdir}/share/dict/ooo/en_BS.*
%{instdir}/share/dict/ooo/en_BW.*
%{instdir}/share/dict/ooo/en_BZ.*
%{instdir}/share/dict/ooo/en_CA.*
%{instdir}/share/dict/ooo/en_DK.*
%{instdir}/share/dict/ooo/*en_GB*
%{instdir}/share/dict/ooo/en_GH.*
%{instdir}/share/dict/ooo/en_HK.*
%{instdir}/share/dict/ooo/en_IE.*
%{instdir}/share/dict/ooo/en_IN.*
%{instdir}/share/dict/ooo/en_JM.*
%{instdir}/share/dict/ooo/en_NA.*
%{instdir}/share/dict/ooo/en_NG.*
%{instdir}/share/dict/ooo/en_NZ.*
%{instdir}/share/dict/ooo/en_PH.*
%{instdir}/share/dict/ooo/en_SG.*
%{instdir}/share/dict/ooo/en_TT.*
%{instdir}/share/dict/ooo/*en_US*
%{instdir}/share/dict/ooo/*en_ZA*
%{instdir}/share/dict/ooo/en_ZW.*
%dir %{instdir}/share/dtd
%{instdir}/share/dtd/officedocument
%{instdir}/share/dtd/math
%{instdir}/share/fingerprint
%{instdir}/share/fonts
%{instdir}/share/gallery
%{instdir}/share/psprint
%dir %{instdir}/share/readme
%{instdir}/share/readme/LICENSE_en-US
%{instdir}/share/readme/LICENSE_en-US.html
%{instdir}/share/readme/README_en-US
%{instdir}/share/readme/README_en-US.html
%dir %{instdir}/share/registry
%dir %{instdir}/share/registry/data
%dir %{instdir}/share/registry/data/org
%dir %{instdir}/share/registry/data/org/openoffice
%{instdir}/share/registry/data/org/openoffice/FirstStartWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Inet.xcu
%{instdir}/share/registry/data/org/openoffice/LDAP.xcu.sample
%{instdir}/share/registry/data/org/openoffice/UserProfile.xcu
%dir %{instdir}/share/registry/data/org/openoffice/Office
%{instdir}/share/registry/data/org/openoffice/Office/Calc.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Canvas.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Common.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Compatibility.xcu
%{instdir}/share/registry/data/org/openoffice/Office/DataAccess.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Embedding.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ExtendedColorScheme.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ExtensionManager.xcu
%{instdir}/share/registry/data/org/openoffice/Office/FormWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Impress.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Jobs.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Labels.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Logging.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Math.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Paths.xcu
%{instdir}/share/registry/data/org/openoffice/Office/ProtocolHandler.xcu
%{instdir}/share/registry/data/org/openoffice/Office/SFX.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Scripting.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Security.xcu
%{instdir}/share/registry/data/org/openoffice/Office/TableWizard.xcu
%dir %{instdir}/share/registry/data/org/openoffice/Office/UI
%{instdir}/share/registry/data/org/openoffice/Office/UI.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BaseWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BasicIDECommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BasicIDEWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/BibliographyCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ChartCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ChartWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/Controller.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbBrowserWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbQueryWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbReportWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbRelationWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbTableWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DbuCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/DrawImpressCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/Factories.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/GenericCategories.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/GenericCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/StartModuleCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/StartModuleWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ReportCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterFormWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterReportWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/XFormsWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Views.xcu
%{instdir}/share/registry/data/org/openoffice/Office/WebWizard.xcu
%{instdir}/share/registry/data/org/openoffice/Office/Writer.xcu
%{instdir}/share/registry/data/org/openoffice/Setup.xcu
%{instdir}/share/registry/data/org/openoffice/TypeDetection
%{instdir}/share/registry/data/org/openoffice/VCL.xcu
%dir %{instdir}/share/registry/data/org/openoffice/ucb
%{instdir}/share/registry/data/org/openoffice/ucb/Configuration.xcu
%dir %{instdir}/share/registry/ldap
%{instdir}/share/registry/ldap/oo-ad-ldap-attr.map
%{instdir}/share/registry/ldap/oo-ldap-attr.map
%dir %{instdir}/share/registry/modules
%dir %{instdir}/share/registry/modules/org
%dir %{instdir}/share/registry/modules/org/openoffice
%dir %{instdir}/share/registry/modules/org/openoffice/Office
%{instdir}/share/registry/modules/org/openoffice/Office/Embedding
%dir %{instdir}/share/registry/modules/org/openoffice/Office/Common
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-unx.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-UseOOoFileDialogs.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-dicooo.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/Setup
%{instdir}/share/registry/modules/org/openoffice/Setup/Langpack-en-US.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_base_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_chart_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/GraphicFilter
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/GraphicFilter/fcfg_internalgraphics_filters.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_base_others.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_chart_others.xcu
%dir %{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_base_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_chart_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_internalgraphics_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/UISort
%dir %{instdir}/share/registry/res
%{instdir}/share/registry/res/en-US
%dir %{instdir}/share/registry/schema
%dir %{instdir}/share/registry/schema/org
%dir %{instdir}/share/registry/schema/org/openoffice
%{instdir}/share/registry/schema/org/openoffice/FirstStartWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Inet.xcs
%{instdir}/share/registry/schema/org/openoffice/LDAP.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/Office
%{instdir}/share/registry/schema/org/openoffice/Office/Addons.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Calc.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/CalcAddIns.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Canvas.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Chart.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Commands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Common.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Compatibility.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/DataAccess.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Draw.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Embedding.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ExtendedColorScheme.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ExtensionManager.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Events.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/FormWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Impress.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Java.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Jobs.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Labels.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Linguistic.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Logging.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Math.xcs
# ? FC specific?
#%{instdir}/share/registry/schema/org/openoffice/Office/OptionsDialog.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Paths.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ProtocolHandler.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Recovery.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/ReportDesign.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/SFX.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Scripting.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Security.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Substitution.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TableWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TabBrowse.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/TypeDetection.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/Office/UI
%{instdir}/share/registry/schema/org/openoffice/Office/UI.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BaseWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BasicIDECommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BasicIDEWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BibliographyCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/BibliographyWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Category.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ChartCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ChartWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Commands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Controller.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbBrowserWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbQueryWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbRelationWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbReportWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbTableWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DbuCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DrawImpressCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Factories.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GenericCategories.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GenericCommands.xcs
# ? FC specific?
#%{instdir}/share/registry/schema/org/openoffice/Office/UI/GlobalSettings.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/MathWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ReportCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/StartModuleCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/StartModuleWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterFormWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterReportWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/XFormsWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Views.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/WebWizard.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/Writer.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/WriterWeb.xcs
%{instdir}/share/registry/schema/org/openoffice/Setup.xcs
%{instdir}/share/registry/schema/org/openoffice/System.xcs
%{instdir}/share/registry/schema/org/openoffice/TypeDetection
%{instdir}/share/registry/schema/org/openoffice/UserProfile.xcs
%{instdir}/share/registry/schema/org/openoffice/VCL.xcs
%dir %{instdir}/share/registry/schema/org/openoffice/ucb
%{instdir}/share/registry/schema/org/openoffice/ucb/Configuration.xcs
%{instdir}/share/registry/schema/org/openoffice/ucb/Hierarchy.xcs
%{instdir}/share/registry/schema/org/openoffice/ucb/Store.xcs
%dir %{instdir}/share/samples
%{instdir}/share/samples/en-US
%dir %{instdir}/share/template
%{instdir}/share/template/en-US
%{instdir}/share/template/wizard
%dir %{instdir}/share/uno_packages
%dir %{instdir}/share/uno_packages/cache
%{instdir}/share/wordbook
%dir %{instdir}/share/xslt
%{instdir}/share/xslt/common
%dir %{instdir}/share/xslt/export
%{instdir}/share/xslt/export/common
%{instdir}/share/xslt/export/spreadsheetml
%{instdir}/share/xslt/export/wordml
%dir %{instdir}/share/xslt/import
%{instdir}/share/xslt/import/common
%{instdir}/share/xslt/import/spreadsheetml
%{instdir}/share/xslt/import/wordml
%{instdir}/share/xslt/odfflatxml
%{instdir}/share/xslt/wiki
#spellchecking lib
%{instdir}/program/liblnth680*.so
#launchers
%{_bindir}/ooffice
##%{_bindir}/ooviewdoc
#%%{_sbindir}/oopadmin
%{_bindir}/ooconfig
%{_bindir}/oofromtemplate
#%%{_bindir}/ooo-wrapper
%{_bindir}/ootool
%{_bindir}/soffice
%{_bindir}/unopkg
#gnome integration
%{instdir}/program/gconfbe1.uno.so
%{instdir}/program/gnome-set-default-application
%{instdir}/program/ucpgvfs1.uno.so
%{instdir}/share/xdg
#icons and mime
#%%{_datadir}/application-registry
%{_datadir}/icons/hicolor/*/apps/ooo-*.png
%{_datadir}/icons/hicolor/*/apps/ooo-*.svg
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_datadir}/applications/template.desktop
%{_datadir}/applications/ooo-extension-manager.desktop
%{_datadir}/mime/packages/openoffice.xml
#%dir %{_datadir}/mime-info
#%{_datadir}/mime-info/*
#%if ! %{galangpack}
#%{instdir}/share/dict/ooo/*ga_IE*
#%endif
#%if %{internalxmlsec}
%{instdir}/program/libxmlsec*
#%else
#%{instdir}/program/libxmlsecurity.so
#%endif
#%if %{stlvisibilityfcked}
%ifnarch x86_64
%{instdir}/program/libstlport*.so
%endif
#%endif
#%if %{internalicu}
%{instdir}/program/libicu*
#%endif
# java
%if %{with_java}
%{instdir}/program/classes/bsh.jar                    
%{instdir}/program/classes/hsqldb.jar
%{instdir}/program/classes/xalan.jar
%{instdir}/program/classes/xercesImpl.jar
%{instdir}/program/classes/xml-apis.jar
%endif

%post core
update-desktop-database -q %{_datadir}/applications
for theme in hicolor; do
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    if test -f "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  fi
done
/sbin/ldconfig

%postun core
update-desktop-database -q %{_datadir}/applications
for theme in hicolor; do
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    if test -f "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  fi
done
/sbin/ldconfig

%if %{enable_kde}
%files kde
%defattr(-,root,root)
%{instdir}/program/kdefilepicker
%{instdir}/program/fps_kde.uno.so
%{instdir}/program/kdebe1.uno.so
%{instdir}/program/libkab1.so
%{instdir}/program/libkabdrv1.so
%{instdir}/program/libvclplug_kde680*.so
%{_libdir}/libvclplug_kde680*.so

%post kde
/sbin/ldconfig

%postun kde
/sbin/ldconfig
%endif

%files base
%defattr(-,root,root)
%{instdir}/help/en/sdatabase.*
%{instdir}/program/resource/cnr680en-US.res
%{instdir}/program/sbase
# java
%if %{with_java}
%{instdir}/program/libhsqldb2.so
%endif
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-base.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-base.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-report.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_database_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Misc/fcfg_database_others.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_database_types.xcu
%{_bindir}/oobase
%{_datadir}/applications/base.desktop
##%{_datadir}/mimelnk/application/openoffice.org-*-oasis-database.desktop

%post base
update-desktop-database -q %{_datadir}/applications

%postun base
update-desktop-database -q %{_datadir}/applications

%files calc
%defattr(-,root,root)
%{instdir}/help/en/scalc.*
%{instdir}/program/libanalysis680*.so
# we dont build binfilter
#%{instdir}/program/libbf_sc680*.so
%{instdir}/program/libcalc680*.so
%{instdir}/program/libdate680*.so
%{instdir}/program/libscd680*.so
%{instdir}/program/resource/analysis680en-US.res
# we dont build binfilter
#%{instdir}/program/resource/bf_sc680en-US.res
%{instdir}/program/resource/date680en-US.res
%{instdir}/program/resource/sc680en-US.res
%{instdir}/program/scalc
%{instdir}/share/registry/data/org/openoffice/Office/UI/CalcCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-calc.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-calc.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_calc_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_calc_types.xcu
%{instdir}/share/registry/schema/org/openoffice/Office/OptionsDialog.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/CalcCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/CalcWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/GlobalSettings.xcs
%{_datadir}/applications/calc.desktop
##%{_datadir}/mimelnk/application/*spreadsheet*
%{_bindir}/oocalc

%post calc
update-desktop-database -q %{_datadir}/applications

%postun calc
update-desktop-database -q %{_datadir}/applications

%files draw
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/en/sdraw.*
%{instdir}/program/sdraw
%{instdir}/share/registry/data/org/openoffice/Office/UI/DrawWindowState.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-draw.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-draw.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_draw_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_draw_types.xcu
%{instdir}/share/registry/schema/org/openoffice/Office/UI/DrawWindowState.xcs
##%if ! %{cripplemenus}
%{_datadir}/applications/draw.desktop
##%endif
##%{_datadir}/mimelnk/application/*drawing*
%{_bindir}/oodraw

%post draw
update-desktop-database -q %{_datadir}/applications

%postun draw
update-desktop-database -q %{_datadir}/applications

%if 1
%files emailmerge
%defattr(-,root,root)
%{instdir}/program/mailmerge.py*
%{instdir}/share/registry/modules/org/openoffice/Office/Writer/Writer-javamail.xcu
%endif

%files writer
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/en/swriter.*
%{instdir}/program/libhwp.so
%{instdir}/program/libswd680*.so
%{instdir}/program/libswui680*.so
%{instdir}/program/libwpft680*.so
%{instdir}/program/libwpgimport680*.so
%{instdir}/program/swriter
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterGlobalWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterWebWindowState.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-writer.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-writer.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_global_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_web_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_writer_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_global_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_web_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_writer_types.xcu
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterCommands.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterGlobalWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterWebWindowState.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/WriterWindowState.xcs
%{_datadir}/applications/writer.desktop
%{_datadir}/applications/web.desktop
##%{_datadir}/mimelnk/application/*master*
##%{_datadir}/mimelnk/application/*text*
##%{_datadir}/mimelnk/application/*web*
%{_bindir}/oowriter
%{_bindir}/ooweb

%post writer
update-desktop-database -q %{_datadir}/applications

%postun writer
update-desktop-database -q %{_datadir}/applications

%files impress
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/en/simpress.*
%{instdir}/program/libanimcore.so
%{instdir}/program/libplaceware*.so
%{instdir}/program/simpress
%{instdir}/program/OGLTrans.uno.so
%{instdir}/share/registry/data/org/openoffice/Office/UI/Effects.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-impress.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-impress.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_impress_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_impress_types.xcu
%{instdir}/share/registry/schema/org/openoffice/Office/UI/Effects.xcs
%{instdir}/share/registry/schema/org/openoffice/Office/UI/ImpressWindowState.xcs
%{instdir}/share/config/soffice.cfg/simpress
%{_datadir}/applications/impress.desktop
##%{_datadir}/mimelnk/application/*presentation*
%{_bindir}/ooimpress

%post impress
update-desktop-database -q %{_datadir}/applications

%postun impress
update-desktop-database -q %{_datadir}/applications

%files math
%defattr(-,root,root)
# no help when --without-java
%{instdir}/help/en/smath.*
%{instdir}/program/libsm680*.so
%{instdir}/program/libsmd680*.so
# we dont build binfilter
#%{instdir}/program/resource/bf_sm680en-US.res
%{instdir}/program/resource/sm680en-US.res
%{instdir}/program/smath
%{instdir}/share/registry/data/org/openoffice/Office/UI/MathCommands.xcu
%{instdir}/share/registry/data/org/openoffice/Office/UI/MathWindowState.xcu
%{instdir}/share/registry/modules/org/openoffice/Office/Common/Common-math.xcu
%{instdir}/share/registry/modules/org/openoffice/Setup/Setup-math.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_math_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_math_types.xcu
%{instdir}/share/registry/schema/org/openoffice/Office/UI/MathCommands.xcs
##%if ! %{cripplemenus}
%{_datadir}/applications/math.desktop
##%endif
##%{_datadir}/mimelnk/application/*formula*
%{_bindir}/oomath

%post math
update-desktop-database -q %{_datadir}/applications

%postun math
update-desktop-database -q %{_datadir}/applications

%files graphicfilter
%defattr(-,root,root)
%{instdir}/program/libflash680*.so
%{instdir}/program/libsvgfilter680*.so
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_drawgraphics_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_impressgraphics_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_drawgraphics_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_impressgraphics_types.xcu

%files xsltfilter
%defattr(-,root,root)
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_xslt_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_xslt_types.xcu
%{instdir}/share/xslt/docbook
%{instdir}/share/xslt/export/xhtml

%if %{with_java}
%files javafilter
%defattr(-,root,root)
%{instdir}/program/classes/aportisdoc.jar
%{instdir}/program/classes/pexcel.jar
%{instdir}/program/classes/pocketword.jar
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_palm_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_pocketexcel_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Filter/fcfg_pocketword_filters.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_palm_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_pocketexcel_types.xcu
%{instdir}/share/registry/modules/org/openoffice/TypeDetection/Types/fcfg_pocketword_types.xcu
%endif

%files testtools
%defattr(-,root,root)
%{instdir}/program/hid.lst
%{instdir}/program/testtoolrc
%{instdir}/program/libcommuni680*.so
%{instdir}/program/libsimplecm680*.so
%{instdir}/program/testtool.bin
%{instdir}/program/resource/stt680en-US.res

%files pyuno
%defattr(-,root,root)
%{instdir}/program/libpyuno.so
%{instdir}/program/officehelper.py*
%{instdir}/program/pythonloader.py*
%{instdir}/program/pythonloader.uno.so
%{instdir}/program/pythonloader.unorc
%{instdir}/program/pythonscript.py*
%{instdir}/program/pyuno.so
%{instdir}/program/uno.py*
%{instdir}/program/unohelper.py*
%ifnarch x86_64 ppc
%{instdir}/program/pyunorc-update64
%endif
%{instdir}/share/Scripts/python
%{instdir}/share/registry/modules/org/openoffice/Office/Scripting/Scripting-python.xcu

%files devel
%defattr(-,root,root)
%{_includedir}/%{ooodirname}
%dir %{instdir}/sdk
%{instdir}/sdk/classes
%{instdir}/sdk/xml
%{instdir}/sdk/idl
%{instdir}/sdk/include
%{instdir}/sdk/setsdkenv_unix*
%{instdir}/sdk/config*
%{instdir}/sdk/examples
%{instdir}/sdk/linux
%{instdir}/sdk/settings
%{_datadir}/%{ooodirname}/sdk
%{_datadir}/idl/%{ooodirname}
#%%{_datadir}/xml/%{ooodirname}

%files devel-doc
%defattr(-,root,root)
%docdir %{_datadir}/doc/packages/OpenOffice.org
%docdir %{_datadir}/doc/packages/OpenOffice.org/sdk
%doc %{_datadir}/doc/packages/OpenOffice.org/sdk/*
%{instdir}/sdk/docs
%{instdir}/sdk/index.html

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.1-4m)
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel

* Sun Jul 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.4.1-3m)
- update ooo-build-2.4.1.8

* Thu Jul 24 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.1-2m)
- use mozilla-plugin.pc

* Mon Jul  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.1-1m)
- update OOo-2.4.1
- update ooo-build-2.4.1.7

* Mon May 19 2008 Ichiro Nakai <ichiro@n.eamil.ne.jp>
- (2.4.0-11m)
- modify %%files langpack-cs_CZ
- BuildRequires: hunspell-cs

* Mon May 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.0-10m)
- update ooo-build-2.4.0.11
- BPR hunspell-*

* Tue May 13 2008 Ichiro Nakai <ichiro@n.eamil.ne.jp>
- (2.4.0-9m)
- update jsdp2007_2.4.0.1-Writer_patch.diff
- [Momonga-devel.ja:03621] [Momonga-devel.ja:03623]
- adjust %%files

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.0-8m)
- rebuild against qt3

* Sun May  4 2008 Ichiro Nakai <ichiro@n.eamil.ne.jp>
- (2.4.0-7m)
- fix jdk-home to enable build on x86_64

* Sun May 04 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.0-6m)
- integrated Calc part of the work by JSDP2007
- - added jsdp2007_2.4.0.1-Calc_patch.diff

* Sun May 04 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.0-5m)
- build with xulrunner instead of firefox

* Sat May 03 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.0-4m)
- enabled java using java-1.6.0-openjdk (configurable by specopt)
- updated and applied japanization patches from waooo (http://waooo.sf.jp/)
- - added Source201-206 (sdf-waooo-*.sdf)
- - added Patch200-Patch211 (patch-waooo-*.diff)
- integrated the work by Japanese Seagull Development Project 2007 (JSDP2007, http://jsdp2007.net/)
- - the work for Calc has not been inegrated yet (Writer only)
- - added Source250: jsdp2007_2.4.0.1-Writer_additional_files.tar.bz2
- - added Patch250: jsdp2007_2.4.0.1-Writer_patch.diff
- - added Patch251: cws-cjksp1-sw.disabled_for_jsdp2007.diff
- modified splash (2.4)

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.0-3m)
- rebuild against firefox-3

* Tue Apr 22 2008 Ichiro Nakai <ichiro@n.eamil.ne.jp>
- (2.4.0-2m)
- remove %%{instdir}/program/libstlport*.so from x86_64 for the moment
  (to fix build on x86_64)
- modify %%files langpack-es to avoid conflicting with langpack-ru

* Wed Apr 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.0-1m)
- update 2.4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.1-10m)
- rebuild against gcc43

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-9m)
- rebuild against openldap-2.4.8

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.1-8m)
- build with kdelibs3

* Fri Feb 15 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-7m)
- support gcc-4.3

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-6m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-5m)
- fix build error

* Sun Jan 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-4m)
- update splash bmp

* Sun Jan  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-3m)
- update ooo-build-2.3.1.2

* Mon Dec 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.1-2m)
- revise %%files to correct included files of langpacks and core

* Fri Nov  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.1-1m)
- update ooo-build-2.3.1, oog680-m9

* Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.3.0-0.2m)
- rebuild against db4-4.6.21

* Mon Sep 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-0.1m)
- update ooo-build-2.3.0.1.2, OOG-680-m5(OpenOffice.org-2.3.0-RC3)

* Thu Aug 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-5m)
- add Requires: bash-completion for %%{_sysconfdir}/bash_completion.d

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-4m)
- add version on Requires for firefox

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.1-3m)
- move "Obsoletes: openoffice.org-javafilter" from OOo to OOo-core

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-2m)
- Obsoletes: openoffice.org-javafilter

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-1m)
- update OpenOffice.org-2.2.1(oof680-m18)
- update ooo-build-2.2.1
- disable gcj-java

* Mon May 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-1m)
- update ooo-build-2.2.0

* Tue Apr 10 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.0-0.2m)
- modified splash (version "2.2")

* Sat Apr  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-0.1m)
- update oof680-m14(2.2.0-RC)

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.0-5m)
- openoffice.org-core Requires: freetype2 -> freetype

* Sat Feb 10 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-4m)
- update ooo-build-2.1.4

* Wed Jan 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.0-3m)
- revise %%files to avoid conflicting

* Wed Jan 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.0-2m)
- do not apply fontconfig-substitute-localizedname.diff for fontconfig-2.2.3
- fontconfig should be updated ASAP

* Tue Jan 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-1m)
- update 2.1.0

* Thu Dec 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-13m)
- merge from TSUPPA4RI-branch
- good-bye mozilla

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-12m)
- update ooo-build to version 2.0.4.11

* Wed Nov 22 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.4-12m)
- copy from momonga's trunk (r12841)
- use firefox-devel instead of mozilla-devel
- added --with-system-mozilla and --with-firefox

* Mon Nov 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-11m)
- update ooo-build to version 2.0.4.6
- - update patches_apply_Momonga.patch to modify patches/src680/apply to skip fontconfig-substitute-localizedname.diff. This causes an error in a build.

* Sun Nov 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.4-10m)
- rebuild against db4-4.5.20-1m

* Sat Nov 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-9m)
- changed %%{with_openclipart} to 0
- - Now, OOo gallery files for OpenClipArt are made by openclipart package (openoffice.org-clipart) and not in main OOo package.
-- This is for aboiding a potential mismatch between contents in openclipart and OOo gallery index files.

* Sun Nov 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-8m)
- rebuild against curl-7.16.0
- fix %%files

* Sun Nov  5 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-7m)
- update ooobuild-2.0.4.2

* Tue Oct 31 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-6m)
- enabled OpenClipArt Galleries (BuildRequires: openclipart-png)
- - enable/disable openclipart is configuable by specopt
- install %%{instadir}/share/samples/%{lang} for each langpack to avoid error in selecting menu "New -> Templates and Documents"
- update GSI_ja.sdf by a latest waooo patch
- - source is OOo_2.0.4_patches_curvirgo.zip at http://waooo.sourceforge.jp/
- - see also http://sourceforge.jp/projects/waooo/document/OpenOffice.org_Japanese_Localized_Version_for_Linux_OOo_2.0.4_LinuxIntel_install_ja_curvirgo_with_glibc-2.3.3_-_Notes/

* Tue Oct 31 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-5m)
- Build and include SDK
- - added "--enable-odk" to configure and applied ooo-build-2.0.4.1-install_odk.patch
- - Now, openoffice.org-devel and openoffice.org-devel-doc are made.
- Has CCACHE been really working recentry?
- - Plese dont set "CCACHE_DIR=${BUILDDIR}/.ccache" in bin/setup! "${BUILDDIR}/.ccache" is always deleted after a build. Without any settings, we should use a system ccache.
- - applied ooo-build-2.0.4.1-dont_set_nonsense_CCACHEDIR.patch
- Disabled Java for x86_64 because of broken Java SDK 1.5.0.x.
- - ( see http://bugs.gentoo.org/show_bug.cgi?id=151225 )
- use unowinreg.dll at OOo site. (NoSource:20)

* Wed Oct 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.4-4m)
- revise %%files to avoid conflicting

* Wed Oct 25 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.4-3m)
- enabled Java features using Java from Sun (only in %%{ix86} and x86_64)
- - BuildRequires: java-sun-j2se-sdk, db4-java
- - temporary workaround : imported unowinreg.dll from opensuse package OpenOffice_org-2.0.4-14.src.rpm 
- - modified ooo-build-2.0.4.1-patches_apply_Momonga.patch (apply fix for db4-java)
- Fonts are antialiased by default (default-disable-embedded-bitmap.diff)
- - for other options, see manual openoffice(1)

* Tue Oct 24 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.4-2m)
- export QTDIR KDEDIR QTLIB

* Mon Oct 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-1m)
- update 2.0.4

* Wed Sep 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.4-0.1m)
- update 2.0.4-RC3

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.3-3m)
- rebuils against dbus 0.92
- add patch301 for dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.0.3-2m)
- rebuild against expat-2.0.0-1m

* Sat Jul 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-1m)
- update OpenOffice.org-2.0.3 , ooo-build-2.0.3.0

* Tue Jul 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-0.2m)
- use "_numjobs"
- add Patch104: openoffice.org-ooc-m7-builddep.diff. 
-- fix parallel build .

* Sun Jul  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-0.1m)
- update OpenOffice.org-2.0.3-RC7, ooo-build-ooc680-m7

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.2-5m)
- revised %%files for duplicated files and direcotries again

* Tue May 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-4m)
- revised %%files for duplicated files and direcotries

* Fri May 26 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-3m)
- applied vcl-fontconfig.patch in patches/src680/apply so that OOo use fontconfig settings for fontrendering.
- - this patch is already merged in OOC680 branch. So we do not need it when updating to 2.0.3)
- removed unnecessary procedure for desktop files (issue of "empty desktop file").
- revised a Japanese translation in desktop files
- add desctiption of some environment variables to manual (SAL_USE_VCLPLUGIN, OOO_INTERFACE_FONT_SIZE, OOO_DEFAULT_FONT_SIZE, OOO_SCREEN_DPI, SAL_EMBEDDED_BITMAP_PRIORITY, SAL_ANTIALIASED_TEXT_PRIORITY, SAL_AUTOHINTING_PRIORITY)

* Sun May 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-2m)
- update ooo-build-2.0.2.11

* Sat May 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-1m)
- update OpenOffice.org-2.0.2
- update ooo-build-2.0.2.9

* Thu Feb  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-6m)
- update ooo-build-2.0.1.3
- enable buildfix-gcc41-friend-decl-i18npool.diff

* Tue Jan 31 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-5m)
- add system-neon-0.25.diff

* Sat Jan 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-4m)
- update ooo-build-2.0.1.2

* Thu Jan 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-3m)
- add BuildRequires: 	pango-devel, bonobo-activation-devel
- use %%make

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-2m)
- BuildRequire: patch >= 2.5.9

* Sat Dec 31 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.1-1m)
- version 2.0.1 (a.k.a OOA680-m1)
- add more "Requires:" to openoffice.org-core explicitly, since OOo cannot start when some libraries are missing.
- add Momonga64.conf for x86_64 (but not tested :-P)
- merge Postacrd data (Add_Postacrd_Japan_and_BJIS_priority_up.sdf in OOo_2.0.1.rc4_patches_curvirgo.zip at http://waooo.sourceforge.jp/) in the build procedure
- omit several ooo-build patches
- - cws-i18nshrink.diff: OOo crashes when it try to display japanese fonts if this patch is applied.
- - cws-fakebold.diff: Menu font becomes bold...
- - buildfix-gcc41-friend-decl-i18npool.diff: cannot be applied when cws-i18nshrink.diff is not applied.

* Wed Dec 21 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.0-1m)
- version 2.0.0 (a.k.a OOO680-m3)
- - Packaging changed 
- - - This follows that of Fedora Core, but kde subpackage are added and main package is made as a meta package.
- build using ooo-build 2.0.0.2
- - to know about ooo-build, see http://www.go-ooo.org/
- -  revised Momonga specific build configure file (Source15:Momonga.conf.in and Patch0:ooo-build-2.0.0.2-distroconf_Momonga.patch)
- - add more options (--without-antialias, --embedded-bitmap,--menufont-size, --dialogfont-size, --screendpi) to ooo-wrapper (and manual) (Patch2:ooo-build-2.0.0.2-add_more_option_to_ooo-wrapper_and_manual.patch). see manualpage of openoffice(1)
- - fix incorrect MIME key (missing "aplications/") in desktop/writer.desktop.in (Patch3:ooo-build-2.0.0.2-fixkey-mime.patch)
- add Momonga specific patch categories in patches/src680/apply (Patch1: ooo-build-2.0.0.2-patches_apply_Momonga.patch)
- - Momonga, MomongaBase, MomongaOnly, JA_waooo categories are added.
- - - [MomongaOnly]
- - - - prefer antialiased japanese font (Patch100:default-disable-embedded-bitmap.diff)
- - - - change default color of gen widget (Patch101: default-color-genwidget.diff)
- - - - use coustomize splash (Source16:openintro_momonga.bmp and Patch102: momonga-splash.diff)
- - - - fix default fontlist of japanese (Patch103:ja-VCL.xcu_font_fix_for_ja_ooobuild_2.0.0.2.diff)
- - - [Ja_waooo] import and modified following patches from OpenOffice.org Waooo
- - - to know about Waooo and these patches, see http://waooo.sourceforge.jp/wiki/index.php?Patches 
- - - - add japanese postcard data (unworking now, neet more work) (Patch200:ja-waooo-Add_Postacrd_Japan_SRC680_m104s1.diff)
- - - - add label data (Patch201:ja-waooo-Labels.xcu_merge_data.diff)
- - - - fix color in helpfile (Patch202:ja-waooo-helpcontent2_color_fix_SRC680_m112.diff)
- - - - fix font in help (Patch203:ja-waooo-helpcontent2_fix_SRC680_m94.diff)
- - - - fix math help (Patch204:ja-waooo-helpcontent2_smath_fix.diff)
- - - - fix IZ#54320 (Patch205:ja-waooo-punctuation_and_adjust.diff)
- - - - fix mojibake in rtf import (Patch206:ja-waooo-rtf_cjk_fix_20.diff)
- - - - fix encoding in rtf export (Patch207:ja-waooo-rtf_filter_fix_20.diff)
- - - - fix IZ#18285, but this is not applied now since this patch seems to make menufonts ugly (Patch208:ja-waooo-vcl-virtualstyles-20050919.diff)
- - - - fix IZ#17498 (Patch209:ja-waooo-word6_filter_fix_20.diff)
- - - - cofigurable menufont size (Patch210:ja-waooo-vcl-setdefaultfontsize.diff)
- - - - configurable menufont size (Patch211:ja-waooo-vcl-setinterfacefontsize.diff)
- - - - configurable screen dpi (Patch212:ja-waooo-vcl-setscreendpi.diff)
- TODO
- - merge Postacrd data in the build procedure.
- - enable JAVA (SUN Java and GIJ4?)
- - template and galleries (OpenClipArt(http://www.openclipart.org) and SozaiOOo(http://openoffice.s16.xrea.com:8080/pukiwiki/pukiwiki.php?%5B%5BSozai_ooo%5D%5D))
- - useful macros (OOoLatex (http://ooolatex.sourceforge.net/) etc.)
- - enable cairo, evolution2?

* Mon Sep 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.5-1m)
- update to 1.1.5

* Wed Apr 20 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.4-2m)
- fix ppc i18n

* Sat Apr 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.4-1m)
- update to OpenOffice.org version 1.1.4
- [SECURITY] fixed DOC document Heap Overflow, CAN-2005-0941

* Mon Apr  5 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.2-6m)
- update SOURCE9(ooo-desktops.tgz)
- added mimetype declaration to desktop files.

* Sat Feb 26 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.2-5m)
- added write permission in order to strip executables.

* Mon Feb 14 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.2-4m)
- arrange ppc i18n

* Sun Nov 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-3m)
- change BuildRequires: xorg-x11-Xvfb

* Wed Sep  8 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.2-2m)
- use gcc3.2 since gcc-3.4 fails to build

* Wed Jun 30 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.2-1m)
- update to OpenOffice.org version 1.1.2 
- ooo-build-1.1.60 and OOO_1_1_2 source from ooo.ximian.com
- add %%patch11 to ensure to link fontconfig building psprint 
- add %%patch12 for correct version number 1.1.2 in configures and wrappers

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.1-3m)
- rebuild against db4.2

* Mon Jun 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-2m)
- fix %%install so that language packs contain true corresponding contents (BugID 42: Thanks to Mr. Ichiro Nakai)

* Mon Jun 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-1m)
- update to OpenOffice.Org version 1.1.1
- switch to ooo-build (version 1.1.59) from Ximian (see http://ooo.ximian.com/)
- - rewrite specfile completely based on FC2 package (openoffice.org-1.1.1-4.src.rpm)
- - add Vendor "Momonga" and corrensponding procedures (%%Patch1)
- - use Ximian icon set
- - user installation dir is changed to ~/.xopenoffice1.1
- - ommit cups support patch (psprint-cups.diff seems to make kinput2 unusable)
- - not adopt gnome-integration patches (it intdroduce many annoying dependencies)
- - revise to use ~/.xopenoffice1.1/ooo.kdeglobals when WM is KDE
- - - to enable to fetch some settings independent of ~/.kde/share/kdeglobals
- - - it can be symlnk to ~/.kde/share/kdeglobals and that is default
- import some patches (%%Source10000) which is used by Japanese N-L team(http://ja.openoffice.org/)
- - modified for ooo-build
- build japanese helpcontent (%%Patch2), (help is now english and japanese only)
- import "ER for Linux" (http://openoffice-docj.sf.jp/) and revise ooo-wrapper (%%Patch3)
- set _numjobs to 1 since there is multi-process build problems
- Notice: java enabled build (with_java 1) is not tested
- TODO (HELP!!)
- - fix building SDK (failed in make checkflags); It needs JAVA??
- - build Scop (http://www.3bit.co.jp/scop/); this needs SDK
- - Font Antialiasing for Kochi (Why embeded bitmaps are used???)
- - cups support and kinput2 (What is wrong with psprint-cups.diff??)

* Sat May 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.1-0m)
- test builds for the import ximian.ooo to Momonga Linux
- Old changelogs of FC2 openoffice.org-1.1.1-4.src.rpm are as follows
- -
- * Wed Apr 21 2004 Dan Williams <dcbw@redhat.com> 1.1.1-4
- - First cut of Bluecurve Icons
- - Use gnome-open for helper application (launching URLs and mailto:)
-      (#121291)
- - Use CVS snapshot of ooo-build (2004-04-21, 1.1.53pre)
- 
- * Fri Apr 16 2004 Dan Williams <dcbw@redhat.com> 1.1.1-3
- - Fix silly specfile issue preventing PPC builds (Dave Woodhouse, #121182)
- - Add a slew of dictionaries, hyphenators, and thesauruses (#108720)
- 
- * Tue Apr 06 2004 Dan Williams <dcbw@redhat.com> 1.1.1-2
- - Fix annoying dialogs on execution of Autopilots
- - Bring Tools->Word Count item back (patch was being misapplied)
- 
- * Wed Mar 31 2004 Dan Williams <dcbw@redhat.com> 1.1.1-1
- - Bump version to 1.1.1
- - Fedora doesn't depend on Mozilla either
- 
- * Thu Mar 18 2004 Dan Williams <dcbw@redhat.com> 1.1.0-32
- - Removed hard coded dependancy on "XFree86", and removed the unnecessary
-   BuildRequires: XFree86-libs as the XFree86-devel dep is all that is needed
-   because it will ensure the libs are installed itself.  These changes are
-   required in order to make the distribution X11 implementation agnostic so
-   we can switch to xorg-x11.  (#118441)  <mharris>
- - s/Requires: fontconfig/Requires(post,postun): fontconfig/  <mharris>
- - Really really make splash & about screens work
- 
- * Mon Mar 15 2004 Dan Williams <dcbw@redhat.com> 1.1.0-31
- - Really make spalshscreens work this time
- 
- * Fri Mar 12 2004 Dan Williams <dcbw@redhat.com> 1.1.0-30
- - Add Red Hat splash & about screens
- - Add gnome-vfs2-devel to BuildRequires, remove duplicate 
-     libgnomecups-devel BuildRequires
- - Fix RH #117440, sanity check TTF 'name' table strings before
-     using them
- 
- * Tue Mar  2 2004 Dan Williams <dcbw@redhat.com> 1.1.0-29
- - Update to ooo-build 1.1.51 and ooo-icons-OO_1_1-8
- - Activate multi-process builds on > 2-way machines
- 
- * Thu Feb 19 2004 Dan Williams <dcbw@redhat.com> 1.1.0-28
- - Flip symbol generation to do full symbols, enabling
-     much more useful debuginfo RPMs
- 
- * Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- - rebuilt
- 
- * Mon Feb  9 2004 Dan Williams <dcbw@redhat.com> 1.1.0-27
- - Don't install spadmin .desktop file since spadmin isn't shipped
- - Remove some python cruft
- - Don't use blocking lockf() when locking ~/.recently-used
- 
- * Wed Feb  4 2004 Dan Williams <dcbw@redhat.com> 1.1.0-26
- - Add libgnomecups to BuildRequires
- 
- * Mon Feb  2 2004 Dan Williams <dcbw@redhat.com> 1.1.0-25
- - Fix up font locations and use correct opensymbol font
- 
- * Wed Jan 28 2004 Dan Williams <dcbw@redhat.com> 1.1.0-24
- - Fix UI font for non Western locales (RH #114357)
- 
- * Thu Jan 22 2004 Dan Williams <dcbw@redhat.com> 1.1.0-23
- - Fix menu highlight/selected colors again (RH #113991)
- - Enable all languages
- 
- * Wed Jan 21 2004 Dan Williams <dcbw@redhat.com> 1.1.0-22
- - Fix menu highlight/selected colors (RH #113991)
- 
- * Tue Jan 20 2004 Dan Williams <dcbw@redhat.com> 1.1.0-21
- - Correct installed location in wrapper script
- 
- * Mon Jan 19 2004 Dan Williams <dcbw@redhat.com> 1.1.0-20
- - Switch to gnome.org common infrastructure OpenOffice.org builds
- 
- * Thu Dec  11 2003 Dan Williams <dcbw@redhat.com> 1.1.0-10
- - Use configimport.bin to replace nasty 'sed' stuff in wrapper script
- - Switch back to soffice1.bin
- - Fix "perpetual re-install" problem with wrapper script (due to empty
-     ~/.sversionrc file)
- 
- * Sat Dec 06 2003 Dan Williams <dcbw@redhat.com> 1.1.0-9
- - Fix building on single processor systems.  Ooops.
- 
- * Wed Nov  26 2003 Dan Williams <dcbw@redhat.com> 1.1.0-8
- - Disable building of Mozilla AB integration on Shrike since the system
-     mozilla was built with gcc 2.96 and we build with gcc 3.2
- - Add Java-enable switches to allow building a Java-enabled version
- - Add libart_lgpl-devel to BuildRequires, allow versions lower than 2.3.13
- - Make splash screen not annoying
- - Switch to more prelink-optimized soffice2.bin
- 
- * Wed Nov  26 2003 Dan Williams <dcbw@redhat.com> 1.1.0-7
- - 1.1.0-7 was internal-only test build getting RHEL3 and RH9 support
-     working
- 
- * Mon Nov  3 2003 Dan Williams <dcbw@redhat.com> 1.1.0-6
- - Tweak default fonts some more (#108812)
- 
- * Fri Oct 31 2003 Dan Williams <dcbw@redhat.com> 1.1.0-5
- - Update default fonts, change Central/Eastern Europe to Nimbus from Luxi
- - Remove fonts not shipped with the OS from the Font menu
- 
- * Tue Oct 28 2003 Dan Williams <dcbw@redhat.com> 1.1.0-4
- - Make OpenOffice.org more prelink-friendly, ie. when prelinked
-   it ought to start up faster (Jakub Jelinek)
- - Bypass soffice script, handle the necessary things already
-   in ooffice script (Jakub Jelinek)
- - Make getstyle-gnome and msgbox-gnome binaries prelinkable (Jakub Jelinek)
- - Speed up the build by not packing all binaries and libraries
-   18 times (and also require way less diskspace for the build) (Jakub Jelinek)
- - Fix .desktop file stuff
- - Fix slightly broken 1.0.2 upgrade process
- - Enable parallel building for > 1 processor machines
- 
- * Fri Oct  17 2003 Dan Williams <dcbw@redhat.com> 1.1.0-3
- - Adjust UI font for different languages
- - Remove oosetup
- - Allow for RH 9 building (not quite working yet)
- - Fix .desktop files location in menus
- - Add libart_lgpl to Requirements, remove Startup Notification for RH9
- - Massively clean up ooffice launcher script, upgrades cleaner
- - Remove Mozilla zipfiles from OOo sources to reduce bloat
- - Use system BerekelyDB rather than builtin one (requires a
-     berkeleydb built _without_ -nostdlib, ie >= 4.1.25-11
-     or most v 4.0)
- - Remove "registration" dialog on startup
- - Patch in font antialias size rather than set on launch
- - Add regcomp tool to final package
- - Don't build ICU libs as DT_TEXTREL
- - Require GCC 3.2.2 now, rather than 3.3
- - Switch on symbols and make debuginfo RPMs work
- 
- * Tue Oct  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.0-2
- - add obsoletes to subpackages
- 
- * Mon Oct 03 2003 Dan Williams <dcbw@redhat.com> 1.1.0-1
- - Initial Release of 1.1.0 rpms

* Thu May 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-7m)
- apply neon-fix-CVE-CAN-2004-0389.patch

* Wed Apr 21 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-6m)
- export DISPLAY=:$XDISPLAY

* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.1.0-5m)
- use Xvfb for build

* Wed Mar 24 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.0-4m)
- revised spec for rpm 4.2.

* Wed Oct 29 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-3m)
- not launch a virtual framebuffer X server (use DISPLAY.PLEASE)
- revise %%files (not make %%files sections dinamically)
- use %%patch11(openoffice-1.1-disable-python.patch) not to install 
  python-2.2.2 stuff and modified %%patch212 to avoid rejection
- --enable-libart when --without-gpc

* Mon Oct 27 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.1.0-2m)
- append symlink
  (oofax, oolabel, ooletter, oomaster, oomemo,
   ooprinteradmin, oovcard, ooweb)
- modify openoffice-wrapper.pl
  (for new symlinks)
- append some desktop files in %%files.
  (for ooprinteradmin ooweb)

* Fri Oct 24 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.0-1m)
- first import to Momonga
- adopted a prototype package OpenOffice.org-1.1.0-4m [devel.ja:02206] and
  renamed it to openoffice.org like RedHat package (revise %%{SOURCE13})
- the prototype package was based on OpenOffice.org-1.1.0-0.rc4.2mdk
  of Mandrake Cooker
- a changelog of the prototype package were as follows
  -
  - * Thu Oct 23 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-4m)
  - - disabled gpc by default (%%define enable_gpc 0)
  -   - gpc is released under non-free license.
  -     They said "This software is free for non-commercial use."(see gpc231/gpc.c)
  -   - To build enabling gpc, change the value of enable_gpc to 1 in this spec
  -     file or /etc/rpm/specopt/OpenOffice.org.specopt
  -   - remove dependencies on perl-MDK-Common
  -   - %%{SOURCE5},%%{SOURCE6},%%{SOURCE7},%%{SOURCE14},%%{SOURCE16} and
  -     this spec file are revised
  -   - sub routines used by scripts are copied from files in perl-MDK-Common
  -     and inserted in each files
  -  -  add BuildRequires: mozilla, mozilla-devel (really needed?)
  -  -  not make Russian, Finnish, Czeck, Slovak localized help files now, because
  -     the sources for these are not available on ftp sites and including these
  -     files makes nosrc.rpm very big...
  -
  - * Wed Oct 15 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-3m)
  - - disabled java by default (%%define enable_java 0)
  -   - To build with java, change the value of enable_java to 1 in this spec
  -     file or /etc/rpm/specopt/OpenOffice.org.specopt and Install
  -     java-sun-j2se-sdk
  -   - Import debian patches (%%patch201-219) from rawhide
  -     (openoffice.org-1.1.0-2.src.rpm)
  -   - modified %%patch209 to avoid conflicting with %%patch26
  -   - not need %%patch201 because we use systemdb by %%patch400
  -   - add prefix to debian patches
  - - rename %%patch601 to openoffice-1.1-fixes-odk.patch
  - - bunzip all patches from Mandrake
  -
  - * Fri Oct 10 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-2m)
  - - add Requires: perl-MDK-Common
  -
  - * Thu Oct  9 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1.0-1m)
  - - second test build for Momonga
  - - sync with OpenOffice.org-1.1-0.rc4.2mdk at Mandrake Cooker
  - - revise %%patch37 for 1.1.0 source
  - - not patching %%patch11
  - - build fails with fakejdk of original spec file, so use java-sun-j2se-sdk now..- notice that we need make symbolic link before build, otherwise build fails
  -   - # ln -s /usr/share/java/db.jar /usr/share/java/db-4.0.jar
  -   - maybe we shold revise db4-java...
  - - not install mandrake specific menus.
  -
  - * Sun Oct  5 2003 Masayuki SANO <nosanosa@momonga-linux.org>
  - - (1.1-0.rc3.1m)
  - - first test build for Momonga
  - - modified OpenOffice.org-1.1-0.rc3.2mdk.src.rpm from Mandrake Cooker
  - - add %%patch601

* Mon Sep 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc4.2mdk
- Really enable fixed Patch102 (bmp32)
- Patch40: Make font substitution algorithm match documentation (IZ #19591)
- Updates to wrapper script:
  - Really use localized instdb.ins files for installation
  - Reactivate font substitutions for now otherwise Japanese & Korean
    help content is broken. This concerns (Andale Sans UI, Albany, Arial)

* Fri Sep 12 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc4.1mdk
- 1.1rc4
- Nuke mutation of instdb.ins since it confuses updates and is now useless
- Refine selection of MySpell packages to install along with -l10n- packages
- Add Slovak help files, update Czech files to 1.1rc4 from OOo-cs project
- Make extra psprint filters work again
- Make sure we only handle 32-bit bmp images and don't default to that
  format. Otherwise, we need to always copy/transform things around
  and this slows UI down terribly
- Make doc defaults configurable through DOC_DEFAULTS variable in
  /etc/openoffice/openoffice.conf or ~/.oofficerc. i.e. set it to "MS"
  (default) for .doc formats or any other (e.g. "NATIVE") for OOo
- Revert to use Nimbus Roman No9L as default font for text since Vera
  Serif doesn't have any oblique face yet
- Add more "Word count" translations (thanks Pablo, Giuseppe)
- Patch11: Don't install python-2.2 stuff for now
- Patch31: Update to make $HOME/Documents default only if it exists
- Merge in more Ximian patches:
  - Patch101: Conditionalize use of MS defaults (default)
  - Patch106: Startup notification fixes (IZ #18970)
- Updates to wrapper script:
  - Try hard to update user install base even through different language
  - Always default to one installed language set, preferably matching
    the current locale

* Mon Sep  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc3.2mdk
- Merge in some Ximian patches:
  - Patch100: Add word count feature under Tools/Hyphenation item
  - Patch101: Default to .doc for text documents
  - Patch102: Add support for 32-bit bitmaps and icons
  - Patch103: Correct typo in Options->HTML compatibility for sv (IZ #16437)
  - Patch104: Export 'no color' background to doc (IZ #18671)
  - Patch105: Don't continually beep annoyingly (IZ #18440)

* Fri Aug 22 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.rc3.1mdk
- 1.1rc3
- Default compiler is now any gcc >= 3.2 (thusly MDK >= 9.0)
- Use built-in Mozilla address book libraries
- Add localized UI strings for: Portugul do Brasil
- Temporarily remove localized help files for: Spanish, Finnish, Czech
- Try to fix encodings of localized menu File/New entries
- Don't install (unlocalized) readme & license files to user dir
- Patch11: Don't build crashdump reporter
- Patch30: Fix broken inclusions of STL headers
- Patch31: Make $HOME/Documents the work directory
- Patch32: Look for additional templates in <ooo>share/templates/extra/
- Patch33: Don't export crazy symbols from svunzip (IZ #17841)
- Patch34: Remove unneeded sched_yield calls (IZ #9277)
- Patch35: MySpell dictionaries are shared in /usr/share/dict/ooo
- Patch36: Enable automatic spellchecking by default
- Patch37: Use better default fonts available in the distribution
- Patch38: Fix crash in ExtendedFontStruct::HasUnicodeChar()
- Patch39: Disable KDE screensaver during presentations
- Patch405: Use system Vera fonts
- Deprecate UI_FONT & FONT_SCALING in openoffice.conf and don't handle
  them any longer (should be handled automatically with new font
  substitution facilities)
- Updates to wrapper script:
  - Handle CTL layouts (Arabic)
  - SAL_FONTPATH_USER is gone, SAL_FONTPATH should still work though
  - Only merge in new configuration data if we are switching locales
  - Attempt to update an existing installation and let OOo merge user
    *.xml files to new *xcu
  - Drop XML::Twig parser as configuration files format is now
    overkill to handle. Better user configimport tool to merge in new
    config bits

* Mon May 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.beta2.1mdk
- 1.1 beta 2

* Tue Apr 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Patch0: Fix vcl printer code that may have caused a crash (1.0.3.1)
- Patch29: Update to add a generic PostScript distillable output (Giuseppe)
- Patch50: Reintroduce soffice.sh fix, it got mis-integrated upstream
- Patch53: Install OOo Impress templates
- Introduce UI_LANG variable to /etc/openoffice/openoffice.conf or
  ~/.oofficerc in order to force a specific language for the user or
  system wide. This helps if you have a mismatch between the system
  locale (which the ooffice script uses) and what you actually have
  installed as OOo-l10n-* package

* Wed Apr  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-1mdk
- BuildRequires: xpm-devel for nas library build
- Rework Patch400 (system-db) to fit libdb4.0 and lib64 on MDK >= 9.2
- Use zh_{CN,TW} instead of zh-{CN,TW} in package names so that
  rpmsrate can auto-expands the filelist
- Patch599: Colateral, induced by previous 64-bit patches on 32-bit arches
- Patch49: Enable user to set priorities among embedded bitmaps,
  auto-hinting and anti-aliasing. Backport from OOo 1.1. Variables are
  SAL_EMBEDDED_BITMAP_PRIORITY, SAL_ANTIALIASED_TEXT_PRIORITY,
  SAL_AUTOHINTING_PRIORITY to be set with numerical values. Defaults
  are 2/1/1, respectively. i.e. preferring embedded bitmaps first.
  <http://gsl.openoffice.org/servlets/ReadMsg?msgId=490464&listName=features>

* Mon Mar 10 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-7mdk
- Patch1: Ignore Xerrors from XSetInputFocus() for now (IZ #10779)
- Patch25: Update to handle Kerkis as default font for Greek. Also add
  better/available candidates for Asian locales
- Patch44: Update to get correct condition for PPDKey::eraseValue()
- Patch45: Update to immediately cache the PPD file to user's psprint
- Patch46: Handle SAL_DEBUGGER in soffice script
- Patch47: Make soffice script handle chdir to dirs denoted relatively
- Patch48: Always enable antialiasing if the font is antialias capable
- Patch109: Update to really enable Slovak localization
- Patch405: Update to match current CVS sources
- Fix localized help/err.html mutation, only special case for Finnish
- Updates to wrapper script:
  - Handle CJK locales configuration better
  - Handle new --debug(ger) and --help options
  - Handle language -> font mappings better
  - Use KerkisSans as UI font for Greek
  - Also substitute Albany and Arial UI fonts, if not available
  - Make LC_CTYPE an alternative to set UI localization, not LC_MESSAGES
  - On user installation, make sure that ~/.mime.types doesn't contain
    any duplicates. i.e. don't let it grow constantly

* Tue Mar  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-6mdk
- Remove ~/.openoffice/user/work symlink if target is user's HOME dir
- Requires: OpenOffice.org %{version} for -help and -l10n packages
- Patch44: Keep ordering of original PPD file values in Printer Properties
- Patch45: Use CUPS to grab the corresponding PPD file

* Mon Mar  3 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-5mdk
- Patch43: Use light hinting for freetype2 >= 2.1.3-3mdk (RH)
- Patch0: Take care of selected directory in Save dialogs (IZ #8928)
- Main package now owns help/en/err.html file to suggest a help
  package to install if it is not localized yet
- Default font scaling to 100 if FONT_SCALING is not set correctly

* Fri Feb 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-4mdk
- Force OOo Draw styles in English for main package
- Patch42: Use MDK colors
- Patch41: Fix crash with a PPD file that does not specify the DPI
  resolution in the string version of the "Resolution" option. (IZ #11616)
- Updates to Source5 (wrapper-script):
  - Handle Arabic UI fonts and language
  - For language selection, prefer LC_ALL which has higher priority
  - If FONT_SCALING variable is not set, don't change user's config either

* Fri Feb 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-3mdk
- Add localized UI strings for: Arab, Slovak
- Add localized help files for: Russian, Finnish, Czech, Japanese,
  Korean, Chinese (simplified and traditional)
- Patch39: Hack up scpzip so that it doesn't duplicate everything 17
  or more times than necessary (RH). Also make sure to handle
  localized help files.

* Wed Jan 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-2mdk
- Remove (obsolete) specfile nonsense
- Handle/skip -g in fake javac wrapper
- Patch37: Don't use obsolete CLK_TCK macros in debug=true mode
- Patch38: Fix rsc code in debug=true mode
- Updates to Source5 (wrapper-script):
  - Don't nuke away other OpenOffice.org installations info from sversionrc

* Tue Jan 28 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- Update to 1.0.2 final
- Patch16 (no-stlport): Remove bits merged upstream
- Add yet another fix to errno (Patch32)
- Patch406: Use system zlib + master truanderie
- Patch407: Directly link against system Xrender library
- Patch408: Fix conflict with system zlib brought in by recent
  freetype2 packages

* Wed Jan 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-0.1mdk
- Update to OOO_STABLE_1 2002/01/13
- Mostly get rid of tcsh use during main build
- Stop symlink'ing <ooo_home>/user/work, since user Common.xml is now
  correctly generated with user Work dir being his home

* Thu Jan  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-10mdk
- Let extra templates be found by OOo in $(insturl)/share/template/extra
- Enforce dependency on perl-XML-Twig with a version known to work
- Add Requires: libsane1, Xaw3d
- Really make it ExclusiveArch: %{ix86} ppc
- Patch34: Enable dmake clean (Debian patch)
- Patch35: Enable RTTI & other optimizations on PPC (CVS, 1.0.2)
- Patch36: Fix bridges on PPC with gcc3 (CVS, 1.0.2)
- Patch37: Add Finnish localizatin, use "35" as prefix code
- Patch38: Fix references to errno
- Patch51: Fix build with recent Mozilla LDAP API changes
- Patch404: Correctly load system libsane
- Patch405: Fix build with newer FreeType 2.1.X libraries (Red Hat)
- Source21: Fix OpenSymbol font encoding table (RH #69996)

* Wed Sep 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-9mdk
- Patch33: Stop forwarding to stderr things we don't actually care of
  while testing for spooler availability. No longer Requires: lpddaemon
- Patch32: Add PDF converters both suitable for either view or press
  purposes as printer option to global psprint.conf (Giuseppe)
- Update wrapper script to reflect that change (auto page size selection)
- Make it run on "msec level 4" systems:
  - Patch30: Get command line arguments the regular way and not from
    /proc/<pid>/cmdline
  - Patch31: Stop trying to read directories up to the root to
    determine the full path of a file. Instead, use a derivative from
    realpath()

* Fri Sep  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-8mdk
- Fix calling of create-instdb script for future releases
- Requires the right set of font packages in -l10n- packages
- Make oo* wrapper scripts actually a link to real ooffice wrapper
- Updates to Source5 (wrapper-script):
  - Handle switch to zh-{CN,TW}
  - Handle more and correct language => UI font mappings
  - No longer expand fontpath from chkfontpath since OOo does exactly
    the same since, well, probably OOo 1.0.0.
  - Workaround MDK::Common::update_gnomekderc bug where a new
    PPD_PageSize entry was not added on a new line, if there was no
    previous user psprint.conf available and the last section didn't
    terminate with a newline character
  - Handle oo<component> --lang <lang> to actually start <component>
    in selected <lang>

* Tue Sep  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-7mdk
- Don't provide nor require any libraries from OOo at all.
- Patch29: Make setup look for a "localized" instdb.ins script
  specified by a new -LANG: option. Hackaround until I find a way to
  do that in scp or autoresponse files.
- Source20: Add script to generate localized instdb.ins files from
  setup.ins. Aka let the right files to be installed for a user
  installation in his language.
- Updates to Source5 (wrapper-script):
  - Add more mappings to Language -> Country table
  - Add --lang option to override default from locale
  - Use "localized" instdb.ins file as mentioned above, for a user
    installation

* Mon Sep  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-6mdk
- Add support for Mozilla addressbook and LDAP sources
- Fix permissions on thesaurus files
- OpenOffice.org-help-* packages now depends on locale-* as an DrakX hack
- Don't forcibly Requires: OpenOffice.org-l10n-en as it works with the
  right language package you want alone.
- Don't forcibly Requires: OpenOffice.org-l10n-* in -help- packages as
  Help can work without. e.g. Having English help with only Russian UI
  localization installed.
- Make transmute-help-errfile.pl hint about the help package to
  install in <b> instead of ugly <tt> with some fonts.
- Merge with Red Hat releases:
  - Start Xvfb in %%{init_xdisplay}
  - Set default document fonts to Nimbus Roman No9 L, Luxi Sans and
    Luxi Mono instead of the non existant Thorndale
  - Make sure New/Wizard menus and OfficeObjects are localized

* Wed Aug 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-5mdk
- Patch19: Make WM_CLASS property for ICCCM compliant, aka don't have
  "VCLSalFrame" showing up in taskbar of KDE 3.0 (IZ #4830, CVS HEAD)
- Add Catalan localization:
  - Source17: Catalan strings (Jesus Corrius, Jordi Mas)
  - Patch25: Add Catalan localization as POSTAPP2TARGET
  - Patch26: Various fixes/additions for Catalan support
  - Patch27: Catalan is only implemented as ca-ES (Jesus Corrius)
- Source18: Add global ooffice configation file
- Updates to Source5 (wrapper-script):
  - Define user work directory to $HOME
  - Use XML::Twig to parse and generate XML code. That's cleaner, more
    flexible but surely not the fastest way
  - Handle global ooffice config in /etc/openoffice/openoffice.conf
    and users' in ~/.oofficerc
  - Automatically define font to use for user interface based on the
    current locale. Overridden with UI_FONT config variable
  - Possibly set UI font scaling based on current display resolution
    (Jakub Jelinek, Red Hat). However, as this is not enabled by
    default, you need to properly set FONT_SCALING first
  - Define paper size to use based on the current locale, and provided
    you don't have any printer configured yet. Otherwise, printerdrake
    will still generate the right default values.

* Tue Aug 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-4mdk
- Fix BuildRequires: for xmlparse (Ian C. Sison)
- Patch17: Add POSTAPP<N>TARGET to be executed after APP targets are built
- Patch18: Add Czech localization as POSTAPP1TARGET
- Updates to Source5 (wrapper-script):
  - Correctly set default language for documents. Aka, transmute user
    Linguistic.xml, or create it if it doesn't exist yet
- Merge with Red Hat releases (5 new patches):
  - Patch{20,21,24,26}: Add Czech localization
  - Patch22: Fix language list for some languages
  - Patch{40,41,42}: Add some patches from <http://oo-cs.sourceforge.net/>

* Mon Aug 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-3mdk
- Move localized help files to new OpenOffice.org-help-* subpackages
- Add localized help files for Spanish, Italian, Swedish, German
- Make help/<lang> a real directory, possibly empty
- Patch16: Check that we have the necessary help files. The rationale
  is if help/<lang>/err.html exists then, we have localized help data,
  possibly not installed. Otherwise, we won't have localized help and
  we try to fallback to English

* Fri Aug 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-2mdk
- Add C/J/K UI localization. Likewise for Danish, Greek, Turkish
- bzip2 helpcontent even if bigger than tgz. We don't want binaries in CVS
- Don't handle upgrade, from 1.0-Xmdk with links from help/$ISOCODE to
  help/en, to 1.0.1-Ymdk where we sometimes have a real directory for
  help/$ISOCODE. Language packages PreReq: OpenOffice.org = %%{version}
  UPDATE: That still doesn't work. As a workaround, you can update
  with l10n-en first. Then, install proper l10n-*. That way works.
- Updates to Source13 (gen-langpack):
  - Fix %%description, don't redefine variables correctly set
  - Map zh-{CN|TW} to zh. Aka. correctly Requires: the right locales-* package
- Updates to Source5 (wrapper-script):
  - Fix silly typo introduced post-tests in versions file
    regeneration. If you installed 1.0.1-1mdk, you'd have better luck
    to rm -rf ~/.openoffice prior to rerunning "ooffice".
  - Add current version tag if it does not exist already. This occurs
    when you upgrade from 1.0 to 1.0.1 for example.
  - If the user installation exists, then the versions file is likely
    to exist too. Otherwise, if we (or the user) nuked it away, then
    simply regenerate it.

* Thu Aug 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- OpenOffice.org 1.0.1
- Requires: libunixODBC2
- Requires: virtual package myspell-dictionary
- Add fully versioned Requires: libgcc
- BuildRequires: gcc3.2 >= 3.2-0.3mdk
- Build with STLport 4.5.3 everywhere
- New "libs" subpackage with OpenOffice.org libraries
- Really make dictionaries stuff go to %{_datadir}/dict/ooo/
- Add localized helpcontent for French
- Update Source7 (dpack-lang) to extract help files in some cases
- Merge Source6 (xlate-lang) with Debian 1.0.1-5
- Automatically regenerate Source6 (xlate-lang) data, add resource names
- Remove support for inexistant Finnish localisation
- Rewrite Source5 (wrapper-script) in full perl. Hopefully, it's now
  more flexible and readable. Also add or fixes the following:
  - Fix paths returned by chkconfig
  - Remove older dictionary symlinks that are now global
  - Don't remove user dictionaries however
  - Add ability to change UI localisation dynamically (merge ideas
    from both Debian and Red Hat people). You have to make sure the
    correct OpenOffice.org-l10-* package is installed however
- Source1[01]: Add additional templates and gallery files from upstream
- Source13: Automatically generate language subpackages
- Patch12: Add parallel build.pl from CVS HEAD (tune later)
- Patch14: Fix set_new_handler() exception specifications, if necessary
- Patch100: Add support for gcc3.2 to UNO
- Patch101: Any gcc >= 3.1.1 has versioned libstdc++ headers location
- Patch303: Add support for any gcc >= 3.1.1 includes dir in STLport
- Patch304: Add EXTRA_CXXFLAGS for RPM_OPT_FLAGS, some fixlets for STLport
- Patch400: Use system db3 library, but only on MDK 9.0 builds
- Patch403: Load libodbc library, not linker name library (from -devel package)
- Make sure we have a correct tcsh when building on MDK 9.0
- Nuke dependency on Sun JDK, use gcj instead (Jakub Jelinek)
- Use perl regexp for postprocess in xmlparse replacement (sed loops otherwise)
- Merge with Red Hat releases (12 new patches):
  - Don't uglify HTML for iso 8859-2
  - Don't catch SIGSEGV and SIGILL
  - Don't die if we cannot write registry cache
  - Don't build internal STLport when using gcc3
  - Make sure we don't do -I/usr/include, it's evil
  - Add support for compiler variables to configure script
  - Add support for new compiler variables to makefiles (COMPCC, COMPCXX)
  - Add debug for setup so that the /tmp directory is not removed
  - Fix broken inline assembly
  - Fix broken makefiles
  - Nuke STLport badlink
  - Use system getopt()

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-5mdk
- Add Russian localization
- Build with gcc3.1 for all supported arches in MDK 9.0
- Remove Patch3, Patch4, Patch13, Patch19, Patch22
- Merge Patch22 (gcc31-misc) and Patch13 (gcc3-linker) in Patch5 (mdkconfig)
- Patch3: Add support for gcc3 on PPC
- Patch4: Workaround gcc3.1 bugs on PPC
- Patch19: Don't copy nor install at setup time standard libraries
- Patch22: Improve font server discovery (OOo 1.0-branch)
- Patch23: Updates to lingucomponent from OOo 1.0-branch:
  - Register own hypenation dictionaries (IZ #45555, IZ #4687)
  - Fix segfault under Thesaurus (IZ #4435)
  - Enable shared spellchecking capabilities
- Update Source4 (local autoresponse) to disable Java detection
- Update Source5 (wrapper script):
  - Better detection of setup failure for user installation
  - Remove any reference to en_US dictionaries for now since OOo
    provides shared ones that work
  - Better handling of broken links in the ~/.openoffice/user/worbook/
    directory. Also possibly unregister the previous dictionary

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-4mdk
- Patch22: Misc patches for gcc3.1 (experimental)
- Rebuild with gcc3.1-1mdk in Cooker

* Wed May 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- Default to gcc3.0 in Cooker/x86 for now
- Only build STLport 4.5.3 with gcc-3.0+ builds
- BuildRequires: blackdown-j2sdk = 1.3.1 on PPC (Stew)
- Patch20: cpputools regcomp workaround on PPC (Stew, IZ #3980)
- Patch21: Move OOo Math into the correct GNOME integration module
- Use official OpenOffice.org 1.0 menu icons
- Update and clean %%description to notify language packs available
- Update KDE and GNOME integration
- Update OOo Math document association
- Update Source4 (local autoresponse file) to detect Java Runtime
- Disable desktop (KDE, GNOME, CDE) integration at user's level

* Tue May  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- Build Mozilla Address book on X86. Later for PPC
- BuildRequires: freetype2-devel
- Patch17: Minor fontcache fix (copy weight attribute) from CVS
- Patch18: Build with system FreeType 2 library
- Patch19: Don't install standard libraries (libgcc_s, libstdc++)
- Update Patch8 (no-mozab) to not install mozab and runtime from setup
- Update specfile to remove hackage now done by the above two patches
- Update Patch9 (user-fontpath) to apply to the new oounix/ directory
- Update Source5 (wrapper script):
  - If ~/.openoffice user directory is not detected, remove any
    reference to that directory in ~/.sversionrc, if that file exists
  - Check that user installation succeeded. Exit 1 otherwise

* Fri May  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- OpenOffice.org 1.0
- Epoch: 1 since openoffice is obsoleted
- Remove Patch10 (psprint-euro) since merged upstream
- Patch10: Fix configure script with NULL statement for X check on Darwin
- Update KDE applnk files, icons and MIME associations unpacking
- Update Source5 (wrapper script) to patch new version tag if a
  previous installation of 641-series is found

* Tue Apr 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.1mdk
- Update to OpenOffice.org 641d
- Package is now called OpenOffice.org. Full transition for the file
  hierarchy and revamp of "ooffice" wrapper script will happen later
  though. As this ChangeLog is becoming bigger and bigger ;-)
- ExclusiveArch: %%{ix86} ppc
- Update %%description to clarify myspell purposes
- Add northern languages: Swedish, Finnish, Polish
- Revamp compiler selection:
  - Use gcc-2.95.x on Mandrake Linux 8.2/PowerPC
  - Use gcc-3.0.4 on Mandrake Linux 8.2/Intel x86
  - Use gcc-3.1 on Mandrake Linux 9.0/Intel x86 [LATER]
- Split Patch2 into Patch1 (CLK_TCK), Patch[34] (gcc3[01]-libs)
- Remove Patch6 (bison-1.30+) since merged upstream
- Regenerate Patch3 (MDK config) into Patch5
- Regenerate Patch4 (exceptions specifications) into Patch6
- Update Patch6 with more excp-fixes for bridges test programs
- Update Patch8 (no-mozab) to remove dependency on moz module
- Patch11: Add support for gcc-3.1
- Patch12: Add support for gcc-3.1 to STLport-4.5.3
- Patch13: gcc3+ linker should be g++ instead of gcc
- Patch14: Fix main() return values in bridges tests
- Patch15: Workaround _STL to std:: for gcc < 3.0
- Patch16: JDK 1.3 does exist on PPC too
- Fix /net installation under Xvfb in %%install
- Fix instdb.ins to get rid of $RPM_BUILD_ROOT
- Remove workaround for English wordbook in %%install
- Update "ooffice" wrapper script to reflect this change
- Also make sure to remove (possibly update) broken links to dictionaries

* Wed Mar 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-6mdk
- BuildRequires: jdk = 1.3.1 exactly
- Disable strict aliasing for all gcc builds. aka. Fix copy-pasting in
  Calc component.

* Wed Mar  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-5mdk
- Add mimetypes item to menu entries
- Fix component wrapper scripts
- Fix %%post to get language from LC_MESSAGES environment variable
  instead of /etc/sysconfig/i18n
- Update the ooffice wrapper script to get rid of possible
  /usr/share/fonts/ttf/japanese/ font path that could cause
  OpenOffice.org to crash

* Mon Mar  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-4mdk
- Update %%description to note the existence of myspell-* packages
- Fix %%post and enhance instdb.ins mutation
- Source5: Updates to the ooffice wrapper script to support
  registration of dictionary files in the user's installation

* Mon Mar  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-3mdk
- Patch9: Fix printing of Euro symbol (Till, Giuseppe)
- Source5: Updates to the ooffice wrapper script:
  - Enhance even more to take the result of chkfontpath into account,
    if installed. Otherwise, default to the old method
  - Remove any entry in ~/.sversionrc if OpenOffice.org was not
    provided from this package
  - Workaround location of English workdbook

* Thu Feb 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-2mdk
- Clean rebuild with more languages: Spanish, Dutch, Italian, Portugese
- Add KDE icons and MIME associations
- Patch8: Support extra font paths with the SAL_FONTPATH_USER variable
- Source5: Enhance with extra font paths (TrueType and Type1 fonts)

* Tue Feb 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0.41-1mdk
- Release 641c
- Support (experimental) auto-selection of language pack
- 5 new sources:
  - Source3: Global autoresponse file for rpm build
  - Source4: Local autoresponse file for user setup
  - Source5: OpenOffice.org wrapper script (setup if necessary)
  - Source6: Misc hashes related to language sets
  - Source7: Unpack language sets
- 8 new patches:
  - Patch0: Add support/fixes for gcc-"2.96"
  - Patch1: Add support/fixes for gcc-3.0.4
  - Patch2: Exception patch for STLport 4.5.3 and gcc3
  - Patch3: MDK config (CFLAGS et al.)
  - Patch4: Fix exception specifications here and there
  - Patch5: Hackery around zipdep
  - Patch6: Hackery for new bison (1.30+)
  - Patch7: Don't build Mozilla Address Book

* Mon Oct 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 6.0.5-1mdk
- Initial Release
